Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 320)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 328)
@@ -43,4 +43,7 @@
 Changed:
 -------
+initializing_actions='read_data_for_recycling' renamed to 'cyclic_fill', now 
+independent of turbulent_inflow (check_parameters, header, init_3d_model)
+
 2 NetCDF error numbers changed. (data_output_3d)
 
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 320)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 328)
@@ -4,4 +4,5 @@
 ! Actual revisions:
 ! -----------------
+! initializing_actions='read_data_for_recycling' renamed to 'cyclic_fill'
 ! Check for illegal entries in section_xy|xz|yz that exceed nz+1|ny+1|nx+1
 ! Coupling with independent precursor runs.
@@ -531,5 +532,5 @@
 
     IF ( TRIM( initializing_actions ) /= 'read_restart_data'  .AND.  &
-         TRIM( initializing_actions ) /= 'read_data_for_recycling' )  THEN
+         TRIM( initializing_actions ) /= 'cyclic_fill' )  THEN
 !
 !--    No restart run: several initialising actions are possible
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 320)
+++ palm/trunk/SOURCE/header.f90	(revision 328)
@@ -4,4 +4,5 @@
 ! Current revisions:
 ! -----------------
+! initializing_actions='read_data_for_recycling' renamed to 'cyclic_fill'
 ! Coupling with independent precursor runs.
 ! Output of messages replaced by message handling routine.
@@ -130,6 +131,6 @@
     IF ( TRIM( initializing_actions ) == 'read_restart_data' )  THEN
        run_classification = '3D - restart run'
-    ELSEIF ( TRIM( initializing_actions ) == 'read_data_for_recycling' )  THEN
-       run_classification = '3D - run using 3D - prerun data'
+    ELSEIF ( TRIM( initializing_actions ) == 'cyclic_fill' )  THEN
+       run_classification = '3D - run with cyclic fill of 3D - prerun data'
     ELSEIF ( INDEX( initializing_actions, 'set_constant_profiles' ) /= 0 )  THEN
        run_classification = '3D - run without 1D - prerun'
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 320)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 328)
@@ -7,4 +7,6 @@
 ! Current revisions:
 ! -----------------
+! initializing_actions='read_data_for_recycling' renamed to 'cyclic_fill', now
+! independent of turbulent_inflow
 ! Output of messages replaced by message handling routine.
 ! Set the starting level and the vertical smoothing factor used for 
@@ -397,5 +399,5 @@
 !-- Initialize model variables
     IF ( TRIM( initializing_actions ) /= 'read_restart_data'  .AND.  &
-         TRIM( initializing_actions ) /= 'read_data_for_recycling' )  THEN
+         TRIM( initializing_actions ) /= 'cyclic_fill' )  THEN
 !
 !--    First model run of a possible job queue.
@@ -925,10 +927,10 @@
 
     ELSEIF ( TRIM( initializing_actions ) == 'read_restart_data'  .OR.    &
-             TRIM( initializing_actions ) == 'read_data_for_recycling' )  &
+             TRIM( initializing_actions ) == 'cyclic_fill' )  &
     THEN
 !
-!--    When reading data for initializing the recycling method, first read
+!--    When reading data for cyclic fill of 3D prerun data, first read
 !--    some of the global variables from restart file
-       IF ( TRIM( initializing_actions ) == 'read_data_for_recycling' )  THEN
+       IF ( TRIM( initializing_actions ) == 'cyclic_fill' )  THEN
 
           WRITE (9,*) 'before read_parts_of_var_list'
@@ -938,72 +940,79 @@
           CALL local_flush( 9 )
           CALL close_file( 13 )
-!
-!--       Store temporally and horizontally averaged vertical profiles to be
-!--       used as mean inflow profiles
-          ALLOCATE( mean_inflow_profiles(nzb:nzt+1,5) )
-
-          mean_inflow_profiles(:,1) = hom_sum(:,1,0)    ! u
-          mean_inflow_profiles(:,2) = hom_sum(:,2,0)    ! v
-          mean_inflow_profiles(:,4) = hom_sum(:,4,0)    ! pt
-          mean_inflow_profiles(:,5) = hom_sum(:,8,0)    ! e
-
-!
-!--       Use these mean profiles for the inflow (provided that Dirichlet
-!--       conditions are used)
-          IF ( inflow_l )  THEN
-             DO  j = nys-1, nyn+1
-                DO  k = nzb, nzt+1
-                   u(k,j,-1)  = mean_inflow_profiles(k,1)
-                   v(k,j,-1)  = mean_inflow_profiles(k,2)
-                   w(k,j,-1)  = 0.0
-                   pt(k,j,-1) = mean_inflow_profiles(k,4)
-                   e(k,j,-1)  = mean_inflow_profiles(k,5)
-                ENDDO
-             ENDDO
-          ENDIF
-
-!
-!--       Calculate the damping factors to be used at the inflow. For a
-!--       turbulent inflow the turbulent fluctuations have to be limited
-!--       vertically because otherwise the turbulent inflow layer will grow
-!--       in time.
-          IF ( inflow_damping_height == 9999999.9 )  THEN
-!
-!--          Default: use the inversion height calculated by the prerun; if
-!--          this is zero, inflow_damping_height must be explicitly specified.
-             IF ( hom_sum(nzb+6,pr_palm,0) /= 0.0 )  THEN
-                inflow_damping_height = hom_sum(nzb+6,pr_palm,0)
-             ELSE
-                WRITE( message_string, * ) 'inflow_damping_height must be ', &
-                     'explicitly specified because&the inversion height ', &
-                     'calculated by the prerun is zero.'
-                CALL message( 'init_3d_model', 'PA0318', 1, 2, 0, 6, 0 )
-             ENDIF
-
-          ENDIF
-
-          IF ( inflow_damping_width == 9999999.9 )  THEN
-!
-!--          Default for the transition range: one tenth of the undamped layer
-             inflow_damping_width = 0.1 * inflow_damping_height
-
-          ENDIF
-
-          ALLOCATE( inflow_damping_factor(nzb:nzt+1) )
-
-          DO  k = nzb, nzt+1
-
-             IF ( zu(k) <= inflow_damping_height )  THEN
-                inflow_damping_factor(k) = 1.0
-             ELSEIF ( zu(k) <= inflow_damping_height + inflow_damping_width ) &
-             THEN
-                inflow_damping_factor(k) = 1.0 -                               &
+
+!
+!--       Initialization of the turbulence recycling method
+          IF ( turbulent_inflow )  THEN
+!
+!--          Store temporally and horizontally averaged vertical profiles to be
+!--          used as mean inflow profiles
+             ALLOCATE( mean_inflow_profiles(nzb:nzt+1,5) )
+
+             mean_inflow_profiles(:,1) = hom_sum(:,1,0)    ! u
+             mean_inflow_profiles(:,2) = hom_sum(:,2,0)    ! v
+             mean_inflow_profiles(:,4) = hom_sum(:,4,0)    ! pt
+             mean_inflow_profiles(:,5) = hom_sum(:,8,0)    ! e
+
+!
+!--          Use these mean profiles for the inflow (provided that Dirichlet
+!--          conditions are used)
+             IF ( inflow_l )  THEN
+                DO  j = nys-1, nyn+1
+                   DO  k = nzb, nzt+1
+                      u(k,j,-1)  = mean_inflow_profiles(k,1)
+                      v(k,j,-1)  = mean_inflow_profiles(k,2)
+                      w(k,j,-1)  = 0.0
+                      pt(k,j,-1) = mean_inflow_profiles(k,4)
+                      e(k,j,-1)  = mean_inflow_profiles(k,5)
+                   ENDDO
+                ENDDO
+             ENDIF
+
+!
+!--          Calculate the damping factors to be used at the inflow. For a
+!--          turbulent inflow the turbulent fluctuations have to be limited
+!--          vertically because otherwise the turbulent inflow layer will grow
+!--          in time.
+             IF ( inflow_damping_height == 9999999.9 )  THEN
+!
+!--             Default: use the inversion height calculated by the prerun; if
+!--             this is zero, inflow_damping_height must be explicitly
+!--             specified.
+                IF ( hom_sum(nzb+6,pr_palm,0) /= 0.0 )  THEN
+                   inflow_damping_height = hom_sum(nzb+6,pr_palm,0)
+                ELSE
+                   WRITE( message_string, * ) 'inflow_damping_height must be ',&
+                        'explicitly specified because&the inversion height ', &
+                        'calculated by the prerun is zero.'
+                   CALL message( 'init_3d_model', 'PA0318', 1, 2, 0, 6, 0 )
+                ENDIF
+
+             ENDIF
+
+             IF ( inflow_damping_width == 9999999.9 )  THEN
+!
+!--             Default for the transition range: one tenth of the undamped
+!--             layer
+                inflow_damping_width = 0.1 * inflow_damping_height
+
+             ENDIF
+
+             ALLOCATE( inflow_damping_factor(nzb:nzt+1) )
+
+             DO  k = nzb, nzt+1
+
+                IF ( zu(k) <= inflow_damping_height )  THEN
+                   inflow_damping_factor(k) = 1.0
+                ELSEIF ( zu(k) <= inflow_damping_height +  &
+                                  inflow_damping_width )  THEN
+                   inflow_damping_factor(k) = 1.0 -                            &
                                            ( zu(k) - inflow_damping_height ) / &
                                            inflow_damping_width
-             ELSE
-                inflow_damping_factor(k) = 0.0
-             ENDIF
-
-          ENDDO
+                ELSE
+                   inflow_damping_factor(k) = 0.0
+                ENDIF
+
+             ENDDO
+          ENDIF
 
        ENDIF
@@ -1020,5 +1029,5 @@
 !--    Calculate the initial volume flow at the right and north boundary
        IF ( conserve_volume_flow  .AND.  &
-            TRIM( initializing_actions ) == 'read_data_for_recycling' )  THEN
+            TRIM( initializing_actions ) == 'cyclic_fill' )  THEN
 
           volume_flow_initial_l = 0.0
@@ -1034,4 +1043,5 @@
 !
 !--             Correction if velocity at nzb+1 has been set zero further above
+!--             Note: at present, u_nzb_p1_for_vfc is zero (maybe revise later)
                 volume_flow_initial_l(1) = volume_flow_initial_l(1) + &
                                            u_nzb_p1_for_vfc(j)
@@ -1048,4 +1058,5 @@
 !
 !--             Correction if velocity at nzb+1 has been set zero further above
+!--             Note: at present, v_nzb_p1_for_vfc is zero (maybe revise later)
                 volume_flow_initial_l(2) = volume_flow_initial_l(2) + &
                                            v_nzb_p1_for_vfc(i)
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 320)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 328)
@@ -718,7 +718,4 @@
 !
 !-- Now read and check some control parameters and skip the rest
-!-- The total domain of the pre-run must not be smaller than the subdomain
-!-- of the current run, because the mapping of data from the pre-run does
-!-- not work for this case.
     WRITE (9,*) 'wpovl: begin reading variables'
     CALL local_flush( 9 )