Index: /palm/trunk/SCRIPTS/NCL/cross_sections.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 328)
+++ /palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 329)
@@ -1019,5 +1019,5 @@
 
    if (xyc .EQ. 1) then
-      d=(ye-ys+1)/(major_ticks_y-1)
+      d= (ye-ys+1)/(major_ticks_y-1)
       e=(xe-xs+1)/(major_ticks_x-1)
       array_yl       =new(major_ticks_y,integer)
@@ -1036,5 +1036,5 @@
 	 if (ar .GT. 0)
 	    do min_ar=0,3
-	       array_minor_yl(4*(ar-1)+min_ar)= int2dble(array_yl(ar-1))+int2dble(array_yl(ar)-array_yl(ar-1))/5*(min_ar+1)
+                array_minor_yl(4*(ar-1)+min_ar)= y_d(array_yl(ar-1))+(y_d(array_yl(ar))-y_d(array_yl(ar-1)))/5*(min_ar+1)
 	    end do 
 	 end if	 
@@ -1045,5 +1045,5 @@
 	 if (br .GT. 0)
 	    do min_br=0,3
-	       array_minor_xb(4*(br-1)+min_br)= int2dble(array_xb(br-1))+int2dble(array_xb(br)-array_xb(br-1))/5*(min_br+1)
+	       array_minor_xb(4*(br-1)+min_br)= x_d(array_xb(br-1))+(x_d(array_xb(br))-x_d(array_xb(br-1)))/5*(min_br+1)
 	    end do 
 	 end if	
@@ -1069,5 +1069,5 @@
 	 if (ar .GT. 0)
 	    do min_ar=0,3
-	       array_minor_yl(4*(ar-1)+min_ar)= int2dble(array_yl(ar-1))+int2dble(array_yl(ar)-array_yl(ar-1))/5*(min_ar+1)
+	       array_minor_yl(4*(ar-1)+min_ar)= z_d(array_yl(ar-1))+(z_d(array_yl(ar))-z_d(array_yl(ar-1)))/5*(min_ar+1)
 	    end do 
 	 end if	 
@@ -1078,5 +1078,5 @@
 	 if (br .GT. 0)
 	    do min_br=0,3
-	       array_minor_xb(4*(br-1)+min_br)= int2dble(array_xb(br-1))+int2dble(array_xb(br)-array_xb(br-1))/5*(min_br+1)
+	       array_minor_xb(4*(br-1)+min_br)= x_d(array_xb(br-1))+(x_d(array_xb(br))-x_d(array_xb(br-1)))/5*(min_br+1)
 	    end do 
 	 end if	
@@ -1099,8 +1099,8 @@
       do ar=1,major_ticks_y-1
          array_yl(ar)=d*(ar-1)+d-1
-	 array_yl_labels(ar) = y_d(array_yl(ar))
+	 array_yl_labels(ar) = z_d(array_yl(ar))
 	 if (ar .GT. 0)
 	    do min_ar=0,3
-	       array_minor_yl(4*(ar-1)+min_ar)= int2dble(array_yl(ar-1))+int2dble(array_yl(ar)-array_yl(ar-1))/5*(min_ar+1)
+               array_minor_yl(4*(ar-1)+min_ar)= z_d(array_yl(ar-1))+(z_d(array_yl(ar))-z_d(array_yl(ar-1)))/5*(min_ar+1)
 	    end do 
 	 end if	 
@@ -1108,18 +1108,19 @@
       do br=1,major_ticks_x-1
          array_xb(br)=e*(br-1)+e-1 
-	 array_xb_labels(br) = x_d(array_xb(br)) 
+	 array_xb_labels(br) = y_d(array_xb(br)) 
 	 if (br .GT. 0)
 	    do min_br=0,3
-	       array_minor_xb(4*(br-1)+min_br)= int2dble(array_xb(br-1))+int2dble(array_xb(br)-array_xb(br-1))/5*(min_br+1)
+	       array_minor_xb(4*(br-1)+min_br)= y_d(array_xb(br-1))+(y_d(array_xb(br))-y_d(array_xb(br-1)))/5*(min_br+1)
 	    end do 
 	 end if	
       end do
    end if
-
+ 
    if (axes_explicit .EQ. 1)then
       cs_res@tmYLMode = "Explicit"
       cs_res@tmXBMode = "Explicit"
-      cs_res@tmYLValues = array_yl
-      if (xyc .EQ. 1)then
+      if (xyc .EQ. 1)then 
+         cs_res@tmYLValues = y_d(array_yl) 
+         cs_res@tmXBValues = x_d(array_xb)      
          cs_res@tmYLLabels = array_yl_labels/norm_y
 	 cs_res@tmXBLabels = array_xb_labels/norm_x
@@ -1136,4 +1137,6 @@
       end if
       if (xzc .EQ. 1)then
+         cs_res@tmYLValues = z_d(array_yl) 
+         cs_res@tmXBValues = x_d(array_xb)  
          cs_res@tmYLLabels = array_yl_labels/norm_z
 	 cs_res@tmXBLabels = array_xb_labels/norm_x
@@ -1150,4 +1153,6 @@
       end if
       if (yzc .EQ. 1)then
+         cs_res@tmYLValues = z_d(array_yl) 
+         cs_res@tmXBValues = y_d(array_xb)  
          cs_res@tmYLLabels = array_yl_labels/norm_z
 	 cs_res@tmXBLabels = array_xb_labels/norm_y
@@ -1163,5 +1168,4 @@
 	 end if
       end if
-      cs_res@tmXBValues = array_xb      
       cs_res@tmYLMinorValues = array_minor_yl
       cs_res@tmXBMinorValues = array_minor_xb
@@ -1301,5 +1305,11 @@
 	    temp = f[:]->$vNam(varn)$
 	    data_att = f_att->$vNam(varn)$
-            data(varn,:,:,:,:)=temp(:,zs:ze,ys:ye,xs:xe) 	    	
+            if(vNam(varn) .eq. "ts_xy" .or. vNam(varn) .eq. "us_xy" .or. vNam(varn) .eq. "z0s_xy")
+              ;these variables depend von zu1_xy and that's why they have only one z-layer
+              data(varn,:,0,:,:)=temp(:,0,ys:ye,xs:xe) 
+            else
+              data(varn,:,:,:,:)=temp(:,zs:ze,ys:ye,xs:xe) 
+            end if
+            delete(temp)	    	
          end if
          if ( xzc .eq. 1 ) then
@@ -1330,4 +1340,5 @@
 	 
 	 unit(varn) = data_att@units
+         delete(data_att)
 
       end if
Index: /palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 328)
+++ /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 329)
@@ -43,4 +43,7 @@
 Changed:
 -------
+Small change in formatting of the message handling routine concering the output in the
+job protocoll. (message)
+
 initializing_actions='read_data_for_recycling' renamed to 'cyclic_fill', now 
 independent of turbulent_inflow (check_parameters, header, init_3d_model)
@@ -85,5 +88,5 @@
 Default value of grid_matching changed to strict.
 
-advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, check_open, check_parameters, close_file, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_ptseries, data_output_spectra, data_output_tseries, eqn_state_seawater, fft_xy, flow_statistics, header, init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, netcdf, output_particles_netcdf, package_parin, parin, plant_canopy_model, poisfft_hybrid, poismg, read_3d_binary, read_var_list, sort_particles, user_check_parameters, user_header, user_init_grid, user_parin, surface_coupler, temperton_fft, timestep, user_actions, user_data_output_dvrp, user_dvrp_coltab, user_init_grid, user_init_plant_canopy, user_parin, user_read_restart_data, user_spectra, write_var_list
+advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, check_open, check_parameters, close_file, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_ptseries, data_output_spectra, data_output_tseries, eqn_state_seawater, fft_xy, flow_statistics, header, init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, message, netcdf, output_particles_netcdf, package_parin, parin, plant_canopy_model, poisfft_hybrid, poismg, read_3d_binary, read_var_list, sort_particles, user_check_parameters, user_header, user_init_grid, user_parin, surface_coupler, temperton_fft, timestep, user_actions, user_data_output_dvrp, user_dvrp_coltab, user_init_grid, user_init_plant_canopy, user_parin, user_read_restart_data, user_spectra, write_var_list
 
 
Index: /palm/trunk/SOURCE/message.f90
===================================================================
--- /palm/trunk/SOURCE/message.f90	(revision 328)
+++ /palm/trunk/SOURCE/message.f90	(revision 329)
@@ -138,4 +138,5 @@
           WRITE( file_id, '(4X,A)' )  TRIM( information_string_1 ) 
           WRITE( file_id, '(4X,A)' )  TRIM( information_string_2 ) 
+          WRITE( *, '(4X,A)' )  ''
 !
 !--       Flush buffer, if requested