Index: palm/trunk/DOC/app/chapter_3.2.html
===================================================================
--- palm/trunk/DOC/app/chapter_3.2.html	(revision 97)
+++ palm/trunk/DOC/app/chapter_3.2.html	(revision 336)
@@ -32,5 +32,5 @@
 <p style="line-height: 100%;">The following configuration
 data
-exclusively applies to model runs on the IBM Regatta hanni of the
+exclusively applies to model runs on the SGI ICE system of the
 HLRN when using several processing elements (i.e. for the parallel
 version of the model). The proper installation of the model is
@@ -38,13 +38,9 @@
 5.0</a>). Furthermore it is supposed that the user is located in
 the
-directory <tt><font style="font-size: 10pt;" size="2">$HOME/palm/current_version/SOURCE</font></tt>
-on its local computer. There are the FORTRAN source codes of the
-model (<tt><font style="font-size: 10pt;" size="2">*.f90</font></tt>)
-as
-well as the configuration file (name: <tt><font style="font-size: 10pt;" size="2">.mrun.config</font></tt>)
-and the make file (name: <tt><font style="font-size: 10pt;" size="2">Makefile</font></tt>).
+directory <tt><font style="font-size: 10pt;" size="2">$HOME/palm/current_version</font></tt>
+&nbsp;on its local computer, where the configuration file (<tt><font style="font-size: 10pt;" size="2">.mrun.config</font></tt>) should reside.
 The configuration file has the following contents (among other things):
 <br>&nbsp;
-</p><pre style="line-height: 100%;"><font style="font-size: 10pt;" size="2">% source_path <i>$HOME/palm/current_version/SOURCE</i></font><br><font style="font-size: 10pt;" size="2">% mainprog <i>palm.f90</i></font><br><font style="font-size: 10pt;" size="2">% use_makefile <i>true</i></font><br><font style="font-size: 10pt;" size="2">% fopts <i>-O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape ibmh parallel<span style="background: transparent none repeat scroll 0% 50%; -moz-background-clip: initial; -moz-background-origin: initial; -moz-background-inline-policy: initial;"></span></i></font><br><font style="font-size: 10pt;" size="2">% lopts <span style="font-style: italic;">-O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape:-lesslsmp ibmh parallel</span></font><br><font style="font-size: 10pt;" size="2">#</font><br><font style="font-size: 10pt;" size="2">EC:[[ \$locat = execution]] &amp; &amp; <i>cat </i>RUN_CONTROL </font><br><font style="font-size: 10pt;" size="2">#</font><br><a href="chapter_3.4.html#PARIN"><font style="font-size: 10pt;" size="2">PARIN</font></a><font style="font-size: 10pt;" size="2"> in:job:npe d3# ~/palm/current_version/JOBS/$fname/INPUT _p3d</font><br><font style="font-size: 10pt;" size="2">#</font><br><a href="chapter_3.4.html#RUN_CONTROL"><font style="font-size: 10pt;" size="2">RUN_CONTROL</font></a><font style="font-size: 10pt;" size="2"> out:loc:tr d3# ~/palm/current_version/JOBS/$fname/MONITORING _rc</font><br><a href="chapter_3.4.html#HEADER"><font style="font-size: 10pt;" size="2">HEADER</font></a><font style="font-size: 10pt;" size="2"> out:loc:tr d3# ~/palm/current_version/JOBS/$fname/MONITORING _header</font><br><a href="chapter_3.4.html#PLOT1D_PAR"><font style="font-size: 10pt;" size="2">PLOT1D_PAR</font></a><font style="font-size: 10pt;" size="2"> out:loc:tr pr# ~/palm/current_version/JOBS/$fname/OUTPUT _pr_par</font><br><a href="chapter_3.4.html#PLOT1D_DATA"><font style="font-size: 10pt;" size="2">PLOT1D_DATA</font></a><font style="font-size: 10pt;" size="2"> out:loc:tr pr# ~/palm/current_version/JOBS/$fname/OUTPUT _pr_in</font></pre>
+</p><pre style="line-height: 100%;"><font style="font-size: 10pt;" size="2">%mainprog          palm.f90<br>%base_directory    $HOME/palm/current_version<br>%base_data         ~/palm/current_version/JOBS<br>%source_path       $base_directory/trunk/SOURCE<br>#<br></font><font style="font-size: 10pt;" size="2">%fopts      -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel<br></font><font style="font-size: 10pt;" size="2">%lopts      -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib                 lcsgih parallel</font><font style="font-size: 10pt;" size="2"><br>#</font><br><font style="font-size: 10pt;" size="2">EC:[[ \$locat = execution]] &amp; &amp; <i>cat </i>RUN_CONTROL </font><br><font style="font-size: 10pt;" size="2">#</font><br><a href="chapter_3.4.html#PARIN"><font style="font-size: 10pt;" size="2">PARIN</font></a><font style="font-size: 10pt;" size="2"> in:job  d3#  $base_data/$fname/INPUT _p3d</font><br><font style="font-size: 10pt;" size="2">#</font><br><a href="chapter_3.4.html#RUN_CONTROL"><font style="font-size: 10pt;" size="2">RUN_CONTROL</font></a><font style="font-size: 10pt;" size="2"> out:loc:tr d3#   $base_data/$fname/MONITORING _rc</font><br><a href="chapter_3.4.html#HEADER"><font style="font-size: 10pt;" size="2">HEADER</font></a><font style="font-size: 10pt;" size="2">      out:loc:tr d3#   $base_data/$fname/MONITORING _header</font><span style="font-family: mon;"><span style="text-decoration: underline;"><br></span><a href="chapter_3.4.html#DATA_1D_PR_NETCDF">DATA_1D_PR_NETCDF</a></span><font style="font-size: 10pt;" size="2">   out:loc:tr pr# ~/palm/current_version/JOBS/$fname/OUTPUT _pr  nc</font></pre>
 <p style="line-height: 100%;"><font face="Thorndale, serif">The first
 five lines specify values of
@@ -56,15 +52,11 @@
 variable. Again separated by blank t<font face="Thorndale, serif">he
 so-called validity domain</font> can be indicated (later more).
-With the first three variables <b>mrun</b> gets to know in
+With the first four variables <b>mrun</b> gets to know in
 which
 directory the source code lies (</font><tt><i><font face="Thorndale, serif">source_path</font></i></tt><font face="Thorndale, serif">),
-the file name of the main program (</font><tt><i><font face="Thorndale, serif">mainprog</font></i></tt><font face="Thorndale, serif">)
-and that the <font face="Thorndale, serif">make mechanism
-should be
-used </font>for compiling (</font><tt><font face="Thorndale, serif"><i>use_makefile
-=</i> <i>true</i></font></tt><font face="Thorndale, serif">). <b>mrun
+the file name of the main program (</font><tt><i><font face="Thorndale, serif">mainprog</font></i></tt><font face="Thorndale, serif">)</font><font face="Thorndale, serif">. Also, two variables are defined which contain path informations used later in the file (<span style="font-style: italic;">base_directory</span>, <span style="font-style: italic;">base_data</span>).&nbsp; <b>mrun
 </b>needs these information, <font color="#000000">because
 for each
-model run the executable is created by compiling the source files.</font>
+model run the executable is created by compiling the respective source file.</font>
 Normally, only the main program (palm.f90) will be compiled while all
 other object files are just linked. These object files have already
@@ -84,21 +76,12 @@
 interpret these colons as blanks (2 colons written one behind the
 other will be interpreted as a colon). Thus in the example above</font> fopts
-has the value<tt><font face="Thorndale, serif"> </font></tt>&ldquo;<font style="font-size: 10pt; font-family: monospace;" size="2"><i>-O3
--g
--qrealsize=8 -Q -q64 -qmaxmem=-1 -qtune=pwr4 -qarch=pwr4 -qnosave
--qnoescape</i></font><tt><i><font face="Thorndale, serif"><font color="#000000">&rdquo;</font></font></i></tt><font face="Thorndale, serif"><font color="#000000">.
-Thus a PALM executable is generated using high level optimization (</font></font><font color="#000000"><span style="font-style: italic; font-family: monospace;">-O3</span></font><font face="Thorndale, serif"><font color="#000000">).</font></font><font color="#000000"><font face="Thorndale, serif">
+has the value<tt><font face="Thorndale, serif"> </font></tt>&ldquo;<tt>-g -w -xT -O3 -cpp -r8 -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -nbs -convert little_endian<i><font face="Thorndale, serif"><font color="#000000">&rdquo;</font></font></i></tt><font face="Thorndale, serif"><font color="#000000">.
+Thus a PALM executable is generated using high level optimization (</font></font><font color="#000000"><span style="font-family: monospace;">-O3</span></font><font face="Thorndale, serif"><font color="#000000">).</font></font><font color="#000000"><font face="Thorndale, serif">
 For all other options
-see the compiler manual on the IBM (</font><font size="2"><font face="Cumberland, monospace">man</font></font></font><tt><font color="#000000">
-<font size="2"><font face="Cumberland, monospace">f90</font></font></font></tt><font face="Thorndale, serif"><font color="#000000">).
+see the compiler manual on the SGI (</font><font size="2"><font face="Cumberland, monospace">man</font></font></font><tt><font color="#000000"> <span style="font-family: Cumberland,monospace;">ifort</span></font></tt><font face="Thorndale, serif"><font color="#000000">).
 Additional libraries
-which the compiler should use are described by
+which the compiler should use may have to be given by
 the environment variable </font></font><tt><font size="2"><font face="Cumberland, monospace"><font color="#000000">lopts</font></font></font></tt><font color="#000000">
-<font face="Thorndale, serif">(loader options).</font></font><font color="#800000">
-</font><font face="Thorndale, serif"><font color="#000000">Here you
-have to indicate a special IBM library (ESSL, </font></font>Engineering
-and Scientific Subroutine Library)<font face="Thorndale, serif"><font color="#000000">.</font><font color="#800000">
-</font>On the
-IBM-Regatta, all compiler options have also to be given to the linker.</font><font color="#000000"><font face="Thorndale, serif"> </font></font>
+<font face="Thorndale, serif">(loader options).</font></font><font color="#000000"><font face="Thorndale, serif"> </font></font>
 </p><p style="line-height: 100%;"><font color="#000000">Compiler and
 loader options usually differ from computer to computer. In the
@@ -111,10 +94,10 @@
 the so-called validity domain which follows in the appropriate
 variable lines after the value of variables.</font></font><font color="#000000">
-In the example above the entry &ldquo;</font><font color="#000000"><font style="font-size: 11pt; font-style: italic; font-family: monospace;" size="2">ibmh</font></font><tt><font color="#000000"><span style="font-style: italic; font-family: monospace;">
+In the example above the entry &ldquo;</font><font color="#000000"><font style="font-size: 11pt; font-style: italic; font-family: monospace;" size="2">lcsgih</font></font><tt><font color="#000000"><span style="font-style: italic; font-family: monospace;">
 </span></font><font color="#000000"><i><font style="font-size: 11pt;" size="2">parallel</font></i></font></tt><font color="#000000">&rdquo;
 stands for </font><tt><font style="font-size: 10pt;" size="2"><font color="#000000">fopts</font></font></tt><font color="#000000">
 and </font><tt><font style="font-size: 10pt;" size="2"><font color="#000000">lopts</font></font></tt><font color="#000000">.
 These lines only become active if a run on the parallel computer of
-the HLRN (</font><tt><i><font style="font-size: 10pt;" size="2">ibmh</font></i></tt><font color="#000000">)
+the HLRN (</font><tt><i><font style="font-size: 10pt;" size="2">lcsgih</font></i></tt><font color="#000000">)
 on several <font color="#000000">(</font><tt><i><font style="font-size: 10pt;" size="2"><font color="#000000">parallel</font></font></i></tt><font color="#000000">)
 </font>processors is started. The activation takes place when you
@@ -124,5 +107,5 @@
 (see below). This way, the validity domain can be limited also for all
 other environment-variables. If no validity domain
-is indicated then the given values of variables are valid on all
+is indicated then the given values of variables are valid for all
 computers. </font>
 </p><p style="line-height: 100%;">After the value
@@ -208,5 +191,5 @@
 indicated within the mrun <b>call</b> by the option <a href="http://www.muk.uni-hannover.de/institut/software/mrun_beschreibung.html#Opt-r">-r</a>.
 Thus a call of the form </p>
-<ul> <pre style="margin-bottom: 0.5cm; line-height: 100%;"><font style="font-size: 10pt;" size="2">mrun - h ibmh -d abcde -r d3</font></pre></ul>
+<ul> <pre style="margin-bottom: 0.5cm; line-height: 100%;"><font style="font-size: 10pt;" size="2">mrun - h lcsgih -d abcde -r "d3#"</font></pre></ul>
 <p style="line-height: 100%;">would lead to the fact that
 the input
@@ -217,5 +200,5 @@
 these files are to be copied of <b>mrun</b> then the call
 must be</p>
-<ul> <pre style="margin-bottom: 0.5cm; line-height: 100%;"><font style="font-size: 10pt;" size="2">mrun -h ibmh -d abcde -r "d3 pr"</font></pre></ul>
+<ul> <pre style="margin-bottom: 0.5cm; line-height: 100%;"><font style="font-size: 10pt;" size="2">mrun -h lcsgih -d abcde -r "d3# pr#"</font></pre></ul>
 <p style="line-height: 100%;">Instead of the option -r you
 can
@@ -225,5 +208,5 @@
 file all file connection statements are actually executed then
 the call must be: </p>
-<ul> <pre style="margin-bottom: 0.5cm; line-height: 100%;"><font style="font-size: 10pt;" size="2">mrun -h ibmh -d abcde -i d3 -o "d3 pr"</font></pre></ul>
+<ul> <pre style="margin-bottom: 0.5cm; line-height: 100%;"><font style="font-size: 10pt;" size="2">mrun -h lcsgih -d abcde -i "d3#" -o "d3# pr#"</font></pre></ul>
 <p style="line-height: 100%;"><font color="#000000">The
 names of the
@@ -258,5 +241,5 @@
 <p style="line-height: 100%;">The example configuration
 file also
-instructs <b>mrun</b> to copy four output files of the
+instructs <b>mrun</b> to copy three output files of the
 model to
 appropriate permanent files of the user at the end of the run.
@@ -266,7 +249,5 @@
 are located, as well as a file with data of horizontally averaged
 vertical profiles
-(<tt><a href="chapter_3.4.html#PLOT1D_DATA">PLOT1D_DATA</a></tt>)
-and an associated parameter file (<tt><a href="chapter_3.4.html#PLOT1D_PAR">PLOT1D_PAR</a></tt>),
-which can be used as input files for the plot program <a href="http://www.muk.uni-hannover.de/institut/software/profil_beschreibung.html">profil</a>.
+(<tt><a href="chapter_3.4.html#DATA_1D_PR_NETCDF">DATA_1D_PR_NETCDF</a></tt>).
 A model run does not presuppose neither the file connection statements
 for
@@ -283,7 +264,7 @@
 execution of a
 model run
-on several processors on the IBM Regatta "hanni" of the HLRN must be
+on several processors on the SGI ICE of the HLRN must be
 supplemented by the following options in each case: </p>
-<ul> <pre style="margin-bottom: 0.5cm; line-height: 100%;"><font style="font-size: 10pt;" size="2">mrun - K parallel -X &hellip; -t &hellip; -m &hellip;</font></pre></ul>
+<ul style="font-family: monospace;"> <pre style="margin-bottom: 0.5cm; line-height: 100%;"><font style="font-size: 10pt;" size="2">mrun - K parallel -X ... -T ... -t ... -m ---</font></pre></ul>
 <p style="line-height: 100%;">Only the indication of <tt><font style="font-size: 11pt;" size="2">-K
 parallel</font></tt> causes the parallel execution of the
@@ -294,20 +275,17 @@
 option <tt><font style="font-size: 10pt;" size="2">-X</font>
 </tt><font size="2">(</font><font style="font-size: 10pt;" size="2">e.g.
-</font><tt><font style="font-size: 10pt;" size="2">-X
-4</font></tt><font size="2">).</font>
+</font><tt><font style="font-size: 10pt;" size="2">-X 32</font></tt><font size="2">) and the number of tasks (processors) on onde node have to be given by option -T.</font>
 In each case the permitted CPU time in seconds and the required memory
 size in MB must be indicated by the options <tt><font style="font-size: 11pt;" size="2">-t</font></tt>
 and <tt><font style="font-size: 11pt;" size="2">-m</font></tt>,
 respectively<font face="Thorndale, serif">.</font>
-Alternatively, these can be set by the appropriate environment
+Alternatively, memory and cpu-time demands can be set by the appropriate environment
 variables in the configuration file: </p>
-<blockquote style="line-height: 100%;"><tt><font style="font-size: 10pt;" size="2"><font face="Cumberland, monospace">%
-memory&nbsp; <i>1630</i> ibmh parallel</font></font></tt><font style="font-size: 10pt;" size="2"><font face="Cumberland, monospace"><br> </font></font><tt><font style="font-size: 10pt;" size="2"><font face="Cumberland, monospace">%
-cputime <i>1000</i> ibmh parallel</font></font></tt></blockquote>
+<blockquote style="line-height: 100%;"><tt><font style="font-size: 10pt;" size="2"><font face="Cumberland, monospace">%memory&nbsp; <i>1500</i> lcsgih parallel</font></font></tt><font style="font-size: 10pt;" size="2"><font face="Cumberland, monospace"><br> </font></font><tt><font style="font-size: 10pt;" size="2"><font face="Cumberland, monospace">%cputime <i>1000</i> lcsgih parallel</font></font></tt></blockquote>
 <p style="line-height: 100%;">The values indicated there
 can be
 overridden with the values of the options <tt><font style="font-size: 10pt;" size="2">-t</font></tt>
 and/or <tt><font style="font-size: 10pt;" size="2">-m</font></tt>,
-respectivly. </p>
+respectivly.</p><p style="line-height: 100%;"><span style="font-weight: bold;">Warning: When changing the coniguration file, please never use the TAB key!</span> </p>
 <hr><p style="line-height: 100%;"><br>
 <font color="#000080"><font color="#000080"><a href="chapter_3.1.html"><font color="#000080"><img src="left.gif" name="Grafik1" align="bottom" border="2" height="32" width="32"></font></a><a href="index.html"><font color="#000080"><img src="up.gif" name="Grafik2" align="bottom" border="2" height="32" width="32"></font></a><a href="chapter_3.3.html"><font color="#000080"><img src="right.gif" name="Grafik3" align="bottom" border="2" height="32" width="32"></font></a></font></font></p><p style="line-height: 100%;"><i>Last change:&nbsp;</i>