Index: palm/trunk/EXAMPLES/dvr/example_dvr_p3d
===================================================================
--- palm/trunk/EXAMPLES/dvr/example_dvr_p3d	(revision 337)
+++ palm/trunk/EXAMPLES/dvr/example_dvr_p3d	(revision 337)
@@ -0,0 +1,51 @@
+ &inipar nx = 79, ny = 79, nz = 80,
+         dx = 25.0, dy = 25.0, dz = 25.0,
+         dz_stretch_level = 1200.0,
+
+         fft_method = 'temperton-algorithm',
+
+         initializing_actions = 'set_constant_profiles',
+         ug_surface = 0.0, vg_surface = 0.0,
+         pt_surface = 288.0,
+         pt_vertical_gradient       = 0.0, 1.0,
+         pt_vertical_gradient_level = 0.0, 800.0,
+
+         humidity = .TRUE., cloud_physics = .TRUE.,
+         q_surface = 0.008,
+         surface_waterflux = 3.20E-4,
+         q_vertical_gradient        = -0.00029, -0.002, 0.0,
+         q_vertical_gradient_level  =      0.0,  700.0, 800.0,
+
+	 surface_heatflux = 0.1, bc_pt_b = 'neumann', bc_e_b = 'neumann',
+                                 bc_q_b = 'neumann', /
+
+
+ &d3par  end_time = 3600.0, dt = 1.0,
+
+         create_disturbances = .T.,
+         dt_disturb = 150.0, disturbance_energy_limit = 0.01,
+
+         dt_run_control = 60.0,
+
+         data_output = 'ql',
+
+         nz_do3d = 50, /
+
+ &particles_par      dt_prel = 200.0, particle_maximum_age = 3600.0,
+                     psb = 50.0,
+                     pdx = 200.0, pdy = 200.0,
+                     random_start_position = .T.,
+                     use_particle_tails = .T., skip_particles_for_tail = 1,
+                     maximum_number_of_tailpoints = 60,
+                     minimum_tailpoint_distance = 25.0,
+                     maximum_tailpoint_age = 300.0,
+                     write_particle_statistics = .F., /
+
+ &dvrp_graphics_par  dvrp_username = 'niksiraa',
+                     dvrp_host = '130.75.105.2',
+                     dvrp_directory = 'raasch/example_dvr',
+                     mode_dvrp = 'particles', 'isosurface1',
+                     threshold = 0.0002,
+                     particle_color = 'pt*', color_interval = -0.5, +0.5,
+                     particle_dvrpsize = 'absw', dvrpsize_interval = 0.0, 5.0,
+                     dt_dvrp = 1.0, /
Index: palm/trunk/EXAMPLES/dvr/example_dvr_rc
===================================================================
--- palm/trunk/EXAMPLES/dvr/example_dvr_rc	(revision 337)
+++ palm/trunk/EXAMPLES/dvr/example_dvr_rc	(revision 337)
@@ -0,0 +1,306 @@
+
+ ***************************         ------------------------------------------
+ * PALM 3.6  Rev: 335:336  *         atmosphere - 3D - run without 1D - prerun
+ ***************************         ------------------------------------------
+
+ Date:              10-06-09         Run:       example_dvr         
+ Time:              15:02:18         Run-No.:   00
+ Run on host:         lcsgih
+ Number of PEs:           16         Processor grid (x,y): (  4,  4) calculated
+ ------------------------------------------------------------------------------
+
+ Numerical Schemes:
+ -----------------
+
+ --> Solve perturbation pressure via FFT using temperton-algorithm routines
+     perturbation pressure is calculated at every Runge-Kutta step
+ --> Momentum advection via Piascek-Williams-Scheme (Form C3) or Upstream
+ --> Scalar advection via Piascek-Williams-Scheme (Form C3) or Upstream
+ --> Loop optimization method: cache
+ --> Time differencing scheme: runge-kutta-3       
+ --> Additional prognostic equation for the total water content
+ --> Parameterization of condensation processes via (0%-or100%)
+ ------------------------------------------------------------------------------
+
+
+ Run time and time step information:
+ ----------------------------------
+
+ Timestep:       dt =  1.000 s
+
+ Start time:           0.000 s
+ End time:          3600.000 s
+
+
+ Computational grid and domain size:
+ ----------------------------------
+
+ Grid length:      dx =     25.000 m    dy =     25.000 m    dz =     25.000 m
+ Domain size:       x =   2000.000 m     y =   2000.000 m  z(u) =   4836.266 m
+
+ dz constant up to   1200.000 m (k=  49), then stretched by factor: 1.080
+ maximum dz not to be exceeded is dz_max = ********** m
+
+ Number of gridpoints (x,y,z):  (0:  79, 0:  79, 0:  81)
+ Subdomain size (x,y,z):        (    20,     20,     82)
+
+ Subdomains have equal size
+
+
+ Topography informations:
+ -----------------------
+
+ Topography: flat                                    
+
+
+ Boundary conditions:
+ -------------------
+
+                     p                    uv                                pt
+
+ B. bound.: p(0)     = p(1)   | uv(0)     = -uv(1)                | pt(0)   = pt(1)              
+ T. bound.: p(nzt+1) = 0      | uv(nzt+1) = ug(nzt+1), vg(nzt+1)  | pt(nzt+1) = pt(nzt) + dpt/dz_
+
+                     e
+
+ B. bound.: e(0)     = e(1)                                                                      
+ T. bound.: e(nzt+1) = e(nzt) = e(nzt-1)                                                         
+
+                     q
+
+ B. bound.: q(0)     = q(1)                                                                      
+ T. bound.: q(nzt)   = q(nzt-1) + dq/dz                                                          
+
+ Bottom surface fluxes are used in diffusion terms at k=1
+       Predefined constant heatflux:    0.100000 K m/s
+       Predefined constant humidity flux:  0.320E-03 m/s
+
+
+    Prandtl-Layer between bottom surface and first computational u,v-level:
+
+       zp =  12.50 m   z0 = 0.1000 m   kappa = 0.40
+       Rif value range:    -5.00 <= rif <=  1.00
+
+
+ Lateral boundaries:
+       left/right:  cyclic              
+       north/south: cyclic              
+
+
+ List output:
+ -----------
+
+    1D-Profiles:
+       Output every             ******** s
+
+
+ Data output:
+ -----------
+
+
+    3D-Arrays:
+       Output format: netcdf (64 bit offset)                  
+
+
+       Arrays:  ql,                                                                  
+       Output every             ******** s  
+       Upper output limit at     1239.50 m  (GP   50)
+
+
+    Time series:
+       Output format: netcdf                                  
+
+       Output every                60.00 s
+
+    Plot-Sequence with dvrp-software:
+       Output every          1.0 s
+       Output mode:      rtsp
+       Host / User:      130.75.105.2 / niksiraa
+       Directory:        raasch/example_dvr
+
+       The sequence contains:
+
+       Particles
+          particle size:     5.00 m
+          particle size controlled by "absw" with interval [  0.00,  5.00]
+          particle color controlled by "pt*" with interval [ -0.50,  0.50]
+
+       Isosurface of "ql"    Threshold value:    0.200E-03
+          Isosurface color: (0.90,0.90,0.90) (R,G,B)
+
+       Groundplate color: (0.00,0.60,0.00) (R,G,B)
+       Superelevation along (x,y,z): ( 1.0, 1.0, 1.0)
+       Clipping limits: from x =       0.0 m to x =    2000.0 m
+                        from y =       0.0 m to y =    2000.0 m
+ ------------------------------------------------------------------------------
+
+
+ Physical quantities:
+ -------------------
+
+    Angular velocity    :   omega = 0.729E-04 rad/s
+    Geograph. latitude  :   phi   = 55.0 degr
+    Coriolis parameter  :   f     =  0.000119 1/s
+                            f*    =  0.000084 1/s
+
+    Gravity             :   g     =  9.8 m/s**2
+
+    Cloud physics parameters:
+    ------------------------
+
+        Surface pressure   :   p_0   = 1013.25 hPa
+        Gas constant       :   R     = 287.0 J/(kg K)
+        Density of air     :   rho_0 = 1.221 kg/m**3
+        Specific heat cap. :   c_p   = 1005.0 J/(kg K)
+        Vapourization heat :   L_v   = 0.25E+07 J/kg
+
+    Characteristic levels of the geo. wind component ug:
+
+       Height:         0.0     0.0  m
+       ug:            0.00    0.00  m/s
+       Gradient:    ------    0.00  1/100s
+       Gridpoint:        0       0
+
+    Characteristic levels of the geo. wind component vg:
+
+       Height:         0.0     0.0  m
+       vg:            0.00    0.00  m/s
+       Gradient:    ------    0.00  1/100s
+       Gridpoint:        0       0
+
+    Characteristic levels of the initial temperature profile:
+
+       Height:           0.0     0.0   800.0  m
+       Temperature:   288.00  288.00  288.00  K
+       Gradient:      ------    0.00    1.00  K/100m
+       Gridpoint:          0       0      32
+
+    Characteristic levels of the initial humidity profile:
+
+       Height:           0.0       0.0     700.0     800.0  m
+       Humidity:     0.8E-02   0.8E-02   0.6E-02   0.4E-02  kg/kg
+       Gradient:    --------  -0.3E-03  -0.2E-02   0.0E+00  (kg/kg)/100m
+       Gridpoint:          0         0        28        32
+
+
+ LES / Turbulence quantities:
+ ---------------------------
+
+   Mixing length is limited to 1.80 * z
+
+
+ Actions during the simulation:
+ -----------------------------
+
+    Disturbance impulse (u,v) every :   150.00 s
+    Disturbance amplitude           :     0.25 m/s
+    Lower disturbance level         :    62.50 m (GP    3)
+    Upper disturbance level         :   637.50 m (GP   26)
+    Disturbances cease as soon as the disturbance energy exceeds 0.010 m**2/s**2
+    Random number generator used    : numerical-recipes
+
+    Particles:
+    ---------
+
+       Particle advection is active (switched on at t =     0.0 s)
+       Start of new particle generations every   200.0 s
+       Boundary conditions: left/right: cyclic          north/south: cyclic         
+                            bottom:     reflect         top:         absorb         
+       Maximum particle age:                    3600.0 s
+       Advection stopped at t = 9999999.9 s
+       Particles are sorted every       0.0 s
+
+       Particles have random start positions
+
+       Number of particles in total domain:        100
+
+       Particles have tails with a maximum of  60 points
+            Number of tails of the total domain:        100
+            Minimum distance between tailpoints:   625.00 m
+            Maximum age of the end of the tail:    300.00 s
+       Number of particle groups:  1
+
+       Particle group  1:
+          Particle radius:  0.000E+00m
+          Particles are advected only passively (no inertia)
+
+          Boundaries of particle source: x:   -12.5 -   1987.5 m
+                                         y:   -12.5 -   1987.5 m
+                                         z:    50.0 -     50.0 m
+          Particle distances:  dx =    200.0 m  dy =    200.0 m  dz =     25.0 m
+
+
+
+ *** no user-defined variables found
+
+ ------------------------------------------------------------------------------
+
+
+
+Run-control output:
+------------------
+
+RUN  ITER. HH:MM:SS.SS    DT(E)     UMAX     VMAX     WMAX     U*    W*   THETA*    Z_I     ENERG.   DISTENERG    DIVOLD     DIVNEW     UMAX(KJI)    VMAX(KJI)    WMAX(KJI)   ADVECX   ADVECY   MGCYC
+-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
+  0      0 00:00:00.00   1.0000   -0.2226D -0.2489D -0.1344  0.000  1.40   0.000    800.  0.118E-02  0.118E-02  0.000E+00  0.000E+00   24  79  15   20  25   4   10   9  60    0.000    0.000       0
+  0     60 00:01:00.00   1.0000   -0.2240  -0.2576  -0.1355  0.001  1.40  ******    800.  0.118E-02  0.118E-02  0.476E-06  0.636E-16   18  16  41   20  25   4   10   9  60    0.000    0.000       0
+  0    120 00:02:00.00   1.0000   -0.2301  -0.2519  -0.1378  0.001  0.88  ******    200.  0.118E-02  0.118E-02  0.509E-06  0.674E-16   18  16  41   20  25   4   10   9  60    0.000    0.000       0
+  0    150 00:02:30.00   1.0000    0.2290D -0.2436D -0.1392  0.002  0.88  ******    200.  0.235E-02  0.235E-02  0.110E-02  0.157E-12   22  31  58   20  25   4   10   9  60    0.000    0.000       0
+  0    180 00:03:00.00   1.0000    0.3529   0.3402  -0.2079  0.003  1.40  ******    800.  0.234E-02  0.234E-02  0.102E-05  0.136E-15    4  29  32   19  65   6   18  30   8    0.000    0.000       0
+  0    240 00:04:00.00   1.0000    0.3605  -0.3528  -0.2453  0.005  1.40  ******    800.  0.234E-02  0.234E-02  0.116E-05  0.155E-15    4  29  32   12  29  66    2  10  55    0.000    0.000       0
+  0    300 00:05:00.00   1.0000    0.3474D  0.3584D -0.4551  0.010  0.98  ******    275.  0.375E-02  0.374E-02  0.110E-02  0.157E-12    7  24  65   18  33  10    1  10  55    0.000    0.000       0
+  0    360 00:06:00.00   1.0000    0.5757   0.5284  -0.9722  0.023  1.01  -6.484    300.  0.505E-02  0.504E-02  0.297E-05  0.399E-15    1   6  59    1  63  53    1  56  65    0.000    0.000       0
+  0    420 00:07:00.00   1.0000    1.1397   1.1387   1.8972  0.049  1.40  -3.307    800.  0.118E-01  0.118E-01  0.585E-05  0.791E-15    1   6  59    1  63  52    4  37  74    0.000    0.000       0
+  0    480 00:08:00.00   1.0000    1.5571   1.5384   3.3871  0.082  1.21  -1.815    525.  0.341E-01  0.341E-01  0.126E-04  0.170E-14    1  54  48    1  64  53    7  37  74    0.000    0.000       0
+  0    540 00:09:00.00   1.0000    1.7087   1.6536   5.0314  0.095  1.21  -1.727    525.  0.733E-01  0.733E-01  0.217E-04  0.294E-14    1  44  14    1  58   2   13  37  74    0.000    0.000       0
+  0    600 00:10:00.00   1.0000   -1.9168   1.7834   6.0199  0.099  1.40  -1.484    800.  0.112E+00  0.112E+00  0.290E-04  0.396E-14   11  72  19    6  45  35   12  15   8    0.000    0.000       0
+  0    660 00:11:00.00   1.0000    2.3949  -2.3374   6.6013  0.107  1.40  -1.420    800.  0.142E+00  0.142E+00  0.326E-04  0.446E-14   19  73  74   12   0  35   21  72  74    0.000    0.000       0
+  0    720 00:12:00.00   1.0000   -2.2572  -2.0812   5.3353  0.119  1.40  -1.214    800.  0.172E+00  0.172E+00  0.358E-04  0.491E-14    1  73  33   15  15  77   25  79  34    0.000    0.000       0
+  0    780 00:13:00.00   1.0000   -2.4063   2.2676   5.1103  0.129  1.40  -1.092    800.  0.210E+00  0.210E+00  0.400E-04  0.552E-14    1  73  32    1  72  17   28  27  28    0.000    0.000       0
+  0    840 00:14:00.00   1.0000    2.2465   2.2422   5.8094  0.137  1.41  -1.023    825.  0.257E+00  0.257E+00  0.453E-04  0.632E-14    1  65  22    1  71  16   36  31  57    0.000    0.000       0
+  0    900 00:15:00.00   1.0000    2.3838   2.5354   6.0064  0.145  1.44  -0.937    875.  0.307E+00  0.307E+00  0.523E-04  0.730E-14    1  73  42    1  37  20   38  31  57    0.000    0.000       0
+  0    960 00:16:00.00   1.0000    2.6249   2.5515   5.4146  0.155  1.42  -0.853    850.  0.354E+00  0.354E+00  0.603E-04  0.845E-14    1  55  53    1  59  49   33  59  29    0.000    0.000       0
+  0   1020 00:17:00.00   1.0000    2.7415   2.7975   5.8224  0.161  1.41  -0.828    825.  0.398E+00  0.397E+00  0.679E-04  0.952E-14    1  66  38    1   0  76   36  58  29    0.000    0.000       0
+  0   1080 00:18:00.00   1.0000   -3.3438   3.0347   5.6596  0.169  1.40  -0.782    800.  0.432E+00  0.431E+00  0.738E-04  0.104E-13    1  67  64    1  57   4   29  78  58    0.000    0.000       0
+  0   1140 00:19:00.00   1.0000    3.2637   3.9619   5.2718  0.177  1.38  -0.764    775.  0.450E+00  0.450E+00  0.772E-04  0.111E-13    1  65  24    1  73  19   34  77  57    0.000    0.000       0
+  0   1200 00:20:00.00   1.0000   -3.5030   3.6457   5.7844  0.181  1.41  -0.730    825.  0.454E+00  0.454E+00  0.773E-04  0.111E-13    1  64   7    1  60  50   31  62  22    0.000    0.000       0
+  0   1260 00:21:00.00   1.0000    3.1582   3.6093   5.1446  0.182  1.25  -0.735    575.  0.449E+00  0.449E+00  0.744E-04  0.107E-13    1  78  56    1   1  15   28  62  73    0.000    0.000       0
+  0   1320 00:22:00.00   1.0000    3.0197   3.6410   5.6251  0.178  1.41  -0.751    825.  0.443E+00  0.442E+00  0.711E-04  0.102E-13    1  32  41    1   2  15   36  62  73    0.000    0.000       0
+  0   1380 00:23:00.00   1.0000   -3.0904  -3.1893   5.0637  0.174  1.41  -0.790    825.  0.437E+00  0.436E+00  0.687E-04  0.991E-14    1  47  40    1  29  77   18  22  39    0.000    0.000       0
+  0   1440 00:24:00.00   1.0000    3.9473  -3.2565   5.1777  0.173  1.42  -0.809    850.  0.435E+00  0.434E+00  0.666E-04  0.957E-14    1  44  58    1  31   2   21  11  61    0.000    0.000       0
+  0   1500 00:25:00.00   1.0000    3.5177  -3.3937   4.9877  0.175  1.42  -0.799    850.  0.433E+00  0.432E+00  0.640E-04  0.921E-14    1  45  61    1  37  49   32  12  63    0.000    0.000       0
+  0   1560 00:26:00.00   1.0000    3.4481  -3.2455   5.1211  0.179  1.25  -0.773    575.  0.432E+00  0.431E+00  0.616E-04  0.884E-14    2  46  64    1  34  44   25  12  22    0.000    0.000       0
+  0   1620 00:27:00.00   1.0000    3.4092  -3.6070   4.7027  0.183  1.23  -0.735    550.  0.434E+00  0.433E+00  0.601E-04  0.866E-14    2  16  65    3  18  79   32  13  23    0.000    0.000       0
+  0   1680 00:28:00.00   1.0000    3.5894   3.3338   4.8446  0.183  1.25  -0.735    575.  0.441E+00  0.439E+00  0.587E-04  0.844E-14   23  42  41   21  21  16   21  15  24    0.000    0.000       0
+  0   1740 00:29:00.00   1.0000    3.1829   3.4750   4.8814  0.181  1.44  -0.746    875.  0.450E+00  0.449E+00  0.579E-04  0.832E-14   11  37  28    4   9  16   18  15   1    0.000    0.000       0
+  0   1800 00:30:00.00   1.0000    2.8061  -3.2177   5.1474  0.177  1.47  -0.767    925.  0.459E+00  0.457E+00  0.580E-04  0.834E-14    2  40  21    2  31  55   20  12  10    0.000    0.000       0
+  0   1860 00:31:00.00   1.0000   -3.0119  -3.8301   5.5566  0.174  1.45  -0.814    900.  0.466E+00  0.464E+00  0.581E-04  0.837E-14   13  39  19   20  37  27   23  12   4    0.000    0.000       0
+  0   1920 00:32:00.00   1.0000    3.1950   3.5789   5.4843  0.173  1.44  -0.805    875.  0.473E+00  0.472E+00  0.574E-04  0.830E-14   14  10   7    1  10   1   27  63  73    0.000    0.000       0
+  0   1980 00:33:00.00   1.0000   -3.3607  -3.2152   5.5735  0.174  1.27  -0.774    600.  0.479E+00  0.478E+00  0.569E-04  0.822E-14   36  10  76   13   9   4   35   9   7    0.000    0.000       0
+  0   2040 00:34:00.00   1.0000   -3.5067  -3.0872   5.7525  0.172  1.25  -0.786    575.  0.482E+00  0.481E+00  0.571E-04  0.827E-14   42  14  73    2  29  57   43   7   5    0.000    0.000       0
+  0   2100 00:35:00.00   1.0000    3.1931  -3.0682   5.0939  0.172  1.25  -0.797    575.  0.481E+00  0.479E+00  0.569E-04  0.824E-14   28  12   6    9  11  78   19  21  23    0.000    0.000       0
+  0   2160 00:36:00.00   1.0000   -3.4000  -3.1831   5.1508  0.171  1.27  -0.773    600.  0.477E+00  0.475E+00  0.569E-04  0.824E-14   12  27  20   40   3   2   21  13   3    0.000    0.000       0
+  0   2220 00:37:00.00   1.0000   -3.1487  -2.9620   5.6034  0.170  1.27  -0.764    600.  0.475E+00  0.474E+00  0.569E-04  0.819E-14   14  27  19   20   8   2   26  11  72    0.000    0.000       0
+  0   2280 00:38:00.00   1.0000   -3.1712   3.1696   5.4843  0.168  1.42  -0.788    850.  0.475E+00  0.473E+00  0.575E-04  0.830E-14   17  27  15    7  12  23   29  12  71    0.000    0.000       0
+  0   2340 00:39:00.00   1.0000   -3.0340  -3.0142   4.9761  0.167  1.23  -0.830    550.  0.475E+00  0.472E+00  0.586E-04  0.848E-14   25  16  19    1  17  54   21  72  62    0.000    0.000       0
+  0   2400 00:40:00.00   1.0000   -3.3827  -3.2786   5.1241  0.167  1.23  -0.794    550.  0.470E+00  0.467E+00  0.593E-04  0.858E-14   10  11  70    1  12  71   28  75  63    0.000    0.000       0
+  0   2460 00:41:00.00   1.0000    3.0172  -3.5143   4.7319  0.166  1.23  -0.797    550.  0.461E+00  0.458E+00  0.589E-04  0.848E-14   24   3   6    5   8  70   22  76  63    0.000    0.000       0
+  0   2520 00:42:00.00   1.0000    3.1569  -3.5546   4.7675  0.163  1.27  -0.863    600.  0.452E+00  0.449E+00  0.581E-04  0.835E-14    1  78  58    9   5  71   18  25  34    0.000    0.000       0
+  0   2580 00:43:00.00   1.0000    3.5609   3.1651   5.3844  0.161  1.25  -0.855    575.  0.447E+00  0.443E+00  0.571E-04  0.813E-14   28  24  39   27  76  59   25  19  32    0.000    0.000       0
+  0   2640 00:44:00.00   1.0000    3.2633   3.4899   4.9447  0.159  1.23  -0.862    550.  0.442E+00  0.438E+00  0.562E-04  0.801E-14   15   4   3    1   6  76   17  70  71    0.000    0.000       0
+  0   2700 00:45:00.00   1.0000    3.5025   3.0665   5.0349  0.158  1.25  -0.845    575.  0.441E+00  0.437E+00  0.560E-04  0.797E-14   24   1  12    1   8  76   27  24  22    0.000    0.000       0
+  0   2760 00:46:00.00   1.0000    3.3412   3.1941   5.4012  0.156  1.25  -0.883    575.  0.442E+00  0.437E+00  0.562E-04  0.797E-14   25   4  13    1   9  75   27   5   1    0.000    0.000       0
+  0   2820 00:47:00.00   1.0000    3.6518  -3.2207   4.7868  0.153  1.27  -0.929    600.  0.441E+00  0.437E+00  0.565E-04  0.801E-14   34  77  18   39  74  10   41   2  77    0.000    0.000       0
+  0   2880 00:48:00.00   1.0000    3.5356  -3.2466   4.8539  0.151  1.25  -0.896    575.  0.440E+00  0.436E+00  0.573E-04  0.815E-14   34   2  10   40  72  11   41  17  28    0.000    0.000       0
+  0   2940 00:49:00.00   1.0000    2.9812   3.2028   4.6617  0.151  1.27  -0.900    600.  0.441E+00  0.437E+00  0.575E-04  0.820E-14    7  61  73   36  11   6   14  59  42    0.000    0.000       0
+  0   3000 00:50:00.00   1.0000   -3.0488   3.0101   4.6541  0.151  1.27  -0.934    600.  0.443E+00  0.439E+00  0.581E-04  0.831E-14    9   8  68   27  67  22   24  28  25    0.000    0.000       0
+  0   3060 00:51:00.00   1.0000   -3.0053   2.8546   5.1987  0.150  1.25  -0.908    575.  0.446E+00  0.443E+00  0.585E-04  0.838E-14   29  31  24   14   4  77   23  56  33    0.000    0.000       0
+  0   3120 00:52:00.00   1.0000   -3.1978  -3.0642   5.4683  0.151  1.27  -0.904    600.  0.450E+00  0.448E+00  0.588E-04  0.839E-14    1  25  28   14  21   1   30  57  33    0.000    0.000       0
+  0   3180 00:53:00.00   1.0000   -3.4193   3.1570   4.9351  0.153  1.27  -0.894    600.  0.456E+00  0.454E+00  0.592E-04  0.844E-14    1  25  25   12  31  25   22  27  29    0.000    0.000       0
+  0   3240 00:54:00.00   1.0000   -3.3668   3.3279   4.9955  0.153  1.27  -0.923    600.  0.462E+00  0.460E+00  0.599E-04  0.854E-14   41   3  41   11  30  20   21  51  36    0.000    0.000       0
+  0   3300 00:55:00.00   1.0000    3.0786   3.3598   5.5937  0.154  1.27  -0.887    600.  0.468E+00  0.467E+00  0.605E-04  0.863E-14   13  50  41   23   4  79   39   8  76    0.000    0.000       0
+  0   3360 00:56:00.00   1.0000    3.6680   3.0921   5.6787  0.156  1.23  -0.854    550.  0.471E+00  0.470E+00  0.612E-04  0.873E-14   21  50  39   17  34  20   44   9  77    0.000    0.000       0
+  0   3420 00:57:00.00   1.0000    3.6849   3.7958   5.1860  0.156  1.25  -0.850    575.  0.469E+00  0.468E+00  0.617E-04  0.882E-14   26  49  43   18  37  19   29  52  39    0.000    0.000       0
+  0   3480 00:58:00.00   1.0000    3.4735  -3.6108   5.1212  0.155  1.25  -0.853    575.  0.464E+00  0.463E+00  0.621E-04  0.890E-14   26  49  46   43  77  72   38   7  78    0.000    0.000       0
+  0   3540 00:59:00.00   1.0000    3.3799   3.2356   5.1232  0.155  1.25  -0.879    575.  0.455E+00  0.454E+00  0.628E-04  0.902E-14   44  13   7   17  40  16   21  56  33    0.000    0.000       0
+  0   3600 01:00:00.00   1.0000   -3.6939  -3.2549   5.2678  0.154  1.25  -0.911    575.  0.444E+00  0.443E+00  0.629E-04  0.902E-14   41  13  50    1   4  72   29  56  34    0.000    0.000       0