Index: palm/trunk/SCRIPTS/.mrun.config.imuk
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 289)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 343)
@@ -21,23 +21,7 @@
 %host_identifier   b01*        lcsgib
 %host_identifier   gallego     lcmuk
-%host_identifier   cs*         nech
-%host_identifier   hreg*-en0   ibmh
-%host_identifier   hanni*-en0  ibmh
-%host_identifier   breg*-en0   ibmb
-%host_identifier   berni*-en0  ibmb
-%host_identifier   tgg*        lctit
-#
-# The following blocks contain all information for compiling the PALM code
-# and for generating and running the PALM executable using MPI. Replace all
-# required paths (given in <>) by the respective paths valid on your host.
-# Please adjust compilernames, cpp-options, compiler-options etc. 
-# appropriately for your own system(s), and please delete or comment out
-# blocks for unused systems.
-#
-# The following 'lcmuk parallel' block assumes PALM compilation and execution
-# on host gallego. Please note that other hosts within the IMUK linux cluster,
-# e.g. maestro or bora, may have require different settings.
-#
-#%remote_username   <replace by your linux cluster username>     lcmuk parallel
+%host_identifier   nid00*      lcxt4
+#
+%remote_username   maronga     lcmuk parallel
 %tmp_user_catalog  /tmp                                          lcmuk parallel
 %compiler_name     mpif90                                        lcmuk parallel
@@ -50,5 +34,5 @@
 #%hostfile          $base_directory/.hostfile                    lcmuk parallel
 #
-#%remote_username  <replace by your linux cluster username>      lcmuk
+#%remote_username  maronga      lcmuk
 %tmp_user_catalog  /tmp                                          lcmuk
 %compiler_name     ifort                                         lcmuk
@@ -59,5 +43,5 @@
 %lopts             -axW:-cpp:-r8:-nbs:-Vaxlib                    lcmuk
 #
-#%remote_username  <replace by your linux cluster username>      lcmuk trace
+%remote_username  maronga                                        lcmuk trace
 %tmp_user_catalog  /tmp                                          lcmuk trace
 %compiler_name     ifort                                         lcmuk trace
@@ -69,5 +53,5 @@
 #
 %sgi_feature       ice                                        lcsgih parallel
-#%remote_username  <replace by your HLRN username>            lcsgih parallel
+%remote_username   nikmaron                                   lcsgih parallel
 %compiler_name     mpif90                                     lcsgih parallel
 %compiler_name_ser ifort                                      lcsgih parallel
@@ -78,10 +62,10 @@
 %fopts             -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel
 %lopts             -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib   lcsgih parallel
-#%tmp_data_catalog  /gfs1/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel
-#%tmp_user_catalog  /gfs1/tmp/<replace by your HLRN username>                         lcsgih parallel
+#%tmp_data_catalog  /gfs1/work/nikmaron/palm_restart_data                             lcsgih parallel
+#%tmp_user_catalog  /gfs1/tmp/nikmaron                                                lcsgih parallel
 #
 %sgi_feature       ice                                        lcsgih parallel debug
+%remote_username   nikmaron                                   lcsgih parallel debug
 %totalview         true                                       lcsgih parallel debug
-#%remote_username  <replace by your HLRN username>            lcsgih parallel debug
 %compiler_name     mpif90                                     lcsgih parallel debug
 %compiler_name_ser ifort                                      lcsgih parallel debug
@@ -92,115 +76,50 @@
 %fopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel debug
 %lopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib           lcsgih parallel debug
-#%tmp_data_catalog  /gfs1/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel debug
-#%tmp_user_catalog  /gfs1/tmp/<replace by your HLRN username>                         lcsgih parallel debug
-#
-#%remote_username   <replace by your tsubame username>              lctit parallel 
-#%tmp_user_catalog  /work/<replace by your tsubame username>                    lctit parallel
-#%tmp_data_catalog  /work/<replace by your tsubame username>/palm_restart_data  lctit parallel
-%cpp_options       -Mpreprocess:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf  lctit parallel
-%netcdf_inc        -I:/home2/usr5/mkanda/netcdf-3.6.2/include      lctit parallel
-%netcdf_lib        -L/home2/usr5/mkanda/netcdf-3.6.2/lib:-lnetcdf  lctit parallel
-%compiler_name_ser pgf95                                           lctit parallel
-%compiler_name     mpif90                                          lctit parallel
-%fopts             -r8:-fast:-fastsse                              lctit parallel
-%lopts             -r8:-fast:-fastsse                              lctit parallel
-#
-#%remote_username   <replace by your HLRN username>           ibmh parallel
-%compiler_name     mpxlf95_r                                  ibmh parallel
-%compiler_name_ser xlf95                                      ibmh parallel
-%cpp_options       -qsuffix=cpp=f90:-WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,-D__netcdf=__netcdf,-D__netcdf_64bit=__netcdf_64bit  ibmh parallel
-%dvrp_inc          -I/home/h/nikevita/lib_stable/optimize     ibmh parallel
-%dvrp_lib          -L/home/h/nikevita/lib_stable/optimize:-lDVRP2:-lftp  ibmh parallel
-%netcdf_inc        -I:/aws/dataformats/netcdf-3.6.0-p1/64-32/include-64 ibmh parallel
-%netcdf_lib        -L/aws/dataformats/netcdf-3.6.0-p1/64-32/lib:-lnetcdf        ibmh parallel
-%fopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmh parallel
-%lopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape:-lesslsmp   ibmh parallel
-%memory            1630                                       ibmh parallel
-%cpumax            1000                                       ibmh parallel
-%numprocs          4                                          ibmh parallel
-#%tmp_data_catalog  /fastfs/work/<replace by your HLRN username>/palm_restart_data    ibmh parallel
-#%email_notification  <replace by your email addres>          ibmh parallel
-#
-#%remote_username   <replace by your HLRN username>           ibmh parallel debug
-%compiler_name     mpxlf95_r                                  ibmh parallel debug
-%compiler_name_ser xlf95                                      ibmh parallel debug
-%cpp_options       -qsuffix=cpp=f90:-WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,-D__netcdf=__netcdf,-D__netcdf_64bit=__netcdf_64bit  ibmh parallel debug
-%netcdf_inc        -I:/aws/dataformats/netcdf-3.6.0-p1/64-32/include-64 ibmh parallel debug
-%netcdf_lib        -L/aws/dataformats/netcdf-3.6.0-p1/64-32/lib:-lnetcdf        ibmh parallel debug
-%fopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap    ibmh parallel debug
-%lopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap:-lesslsmp  ibmh parallel debug
-%memory            1000                                       ibmh parallel debug
-%cpumax            1000                                       ibmh parallel debug
-%numprocs          4                                          ibmh parallel debug
-#%tmp_data_catalog  /fastfs/work/<replace by your HLRN username>/palm_restart_data    ibmh parallel debug
-#
-#%remote_username   <replace by your HLRN username>           ibmb parallel
-%compiler_name     mpxlf95_r                                  ibmb parallel
-%compiler_name_ser xlf95                                      ibmb parallel
-%cpp_options       -qsuffix=cpp=f90:-WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,-D__netcdf=__netcdf,-D__netcdf_64bit=__netcdf_64bit  ibmb parallel
-%netcdf_inc        -I:/aws/dataformats/netcdf-3.6.0-p1/64-32/include-64 ibmb parallel
-%netcdf_lib        -L/aws/dataformats/netcdf-3.6.0-p1/64-32/lib:-lnetcdf        ibmb parallel
-%fopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmb parallel
-%lopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape:-lesslsmp  ibmb parallel
-%memory            1630                                       ibmb parallel
-%cpumax            1000                                       ibmb parallel
-%numprocs          4                                          ibmb parallel
-#%tmp_data_catalog  /fastfs/work/<replace by your HLRN username>/palm_restart_data    ibmb parallel
-#
-#%remote_username   <replace by your DKRZ username>           nech parallel
-%compiler_name     sxmpif90                                   nech parallel
-%compiler_name_ser sxf90                                      nech parallel
-%cpp_options       -Ep:-DMPI_REAL=MPI_REAL8:-DMPI_2REAL=MPI_2REAL8:-DSCFFT=DZFFT:-DCSFFT=ZDFFT:-D__netcdf:-D__netcdf_64bit  nech parallel
-%netcdf_inc        -I:/pool/SX-6/netcdf/netcdf-3.6.0-p1/include  nech parallel
-%netcdf_lib        -L/pool/SX-6/netcdf/netcdf-3.6.0-p1/lib:-lnetcdf  nech parallel
-%fopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4:-pvctl:fullmsg\':-ftrace:-P:stack:-pi:auto:-pi:line=1000  nech parallel
-%lopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4\':-ftrace:-P:stack:-pi:auto:-pi:line=1000:-L/SX/opt/MathKeisan/MK1_6/lib/:-l:fft  nech parallel
-%memory            4000                                       nech parallel
-%cpumax            1000                                       nech parallel
-%numprocs          4                                          nech parallel
-%tmp_data_catalog  $WRKSHR/palm_restart_data                  nech parallel
-#%email_notification  <replace by your email addres>          nech parallel
-#
-#%remote_username   <replace by your NEC-username>             neck parallel
-%compiler_name     sxmpif90                                   neck parallel
-%compiler_name_ser sxf90                                      neck parallel
-%cpp_options       -Ep:-DMPI_REAL=MPI_REAL8:-DMPI_2REAL=MPI_2REAL8:-DSCFFT=DZFFT:-DCSFFT=ZDFFT:-D__netcdf:-D__netcdf_64bit  neck parallel
-%netcdf_inc        -I:/home/DSRC/NC/tatuyama/pub/netcdf-3.6.0-p1/include  neck parallel
-%netcdf_lib        -L/home/DSRC/NC/tatuyama/pub/netcdf-3.6.0-p1/lib:-lnetcdf  neck parallel
-%dvrp_inc          -I/home/DSRC/NC/tatuyama/pub/dvrp          neck parallel
-%dvrp_lib          -L/home/DSRC/NC/tatuyama/pub/dvrp:-lDVRP2:-lftp  neck parallel
-%fopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4:-pvctl:fullmsg\':-ftrace:-P:stack:-pi:auto:-pi:line=1000  neck parallel
-%lopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4\':-ftrace:-P:stack:-pi:auto:-pi:line=1000:-L/SX/opt/MathKeisan/MK1_6/lib/:-l:fft  neck parallel
-%memory            4000                                       neck parallel
-%cpumax            1000                                       neck parallel
-%numprocs          4                                          neck parallel
-#%tmp_user_catalog  <replace by your temporary directory>     neck parallel
-#%tmp_data_catalog  <replace by your temp. dir.>/palm_restart_data   neck parallel
-#
-%source_path       $base_directory/SOURCE                     ibmy parallel
-%compiler_name     mpxlf95_r                                  ibmy parallel
-%compiler_name_ser xlf95                                      ibmy parallel
-%fopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmy parallel
-%lopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmy parallel
-%memory            1000                                       ibmy parallel
-%cpumax            1000                                       ibmy parallel
-%numprocs          4                                          ibmy parallel
-%remote_username   raasch                                     ibmy parallel
-%tmp_data_catalog  /usr1/users/raasch/work                    ibmy parallel
-%tmp_user_catalog  /usr1/users/raasch/work                    ibmy parallel
-%email_notification  raasch@muk.uni-hannover.de               ibmy parallel
-#
-%compiler_name     mpxlf95_r                                  ibmy parallel trace
-%compiler_name_ser xlf95                                      ibmy parallel trace
-%cpp_options       -Ep:-DMPI_REAL=MPI_REAL8:-DMPI_2REAL=MPI_2REAL8:-DSCFFT=DZFFT:-DCSFFT=ZDFFT:-D__netcdf:-D__netcdf_64bit  nech parallel
-%fopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap  ibmy parallel trace
-%lopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap  ibmy parallel trace
-%memory            1000                                       ibmy parallel trace
-%cpumax            1000                                       ibmy parallel trace
-%numprocs          4                                          ibmy parallel trace
-%remote_username   raasch                                     ibmy parallel trace
-%tmp_data_catalog  /usr1/users/raasch/work                    ibmy parallel trace
-%tmp_user_catalog  /usr1/users/raasch/work                    ibmy parallel trace
-%email_notification  raasch@muk.uni-hannover.de               ibmy parallel trace
+#%tmp_data_catalog  /gfs1/work/nikmaron/palm_restart_data      lcsgih parallel debug
+#%tmp_user_catalog  /gfs1/tmp/nikmaron                         lcsgih parallel debug
+#
+%sgi_feature       ice                                        lcsgib parallel
+%remote_username   nikmaron                                   lcsgib parallel
+%compiler_name     mpif90                                     lcsgib parallel
+%compiler_name_ser ifort                                      lcsgib parallel
+%mpilib            mvapich2/1.2.0-intel                       lcsgib parallel
+%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit   lcsgib parallel
+%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.2/include    lcsgib parallel
+%netcdf_lib        -L/sw/dataformats/netcdf/3.6.2/lib:-lnetcdf:-lnetcdff      lcsgib parallel
+
+%fopts             -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgib parallel
+%lopts             -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib   lcsgib parallel
+#%tmp_data_catalog  /gfs1/work/nikmaron/palm_restart_data                             lcsgib parallel
+#%tmp_user_catalog  /gfs1/tmp/nikmaron                                                lcsgib parallel
+#
+%sgi_feature       ice                                        lcsgib parallel debug
+%remote_username   nikmaron                                   lcsgib parallel debug
+%compiler_name     mpif90                                     lcsgib parallel debug
+%compiler_name_ser ifort                                      lcsgib parallel debug
+%mpilib            mvapich2/1.2.0-intel                       lcsgib parallel debug
+%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit   lcsgib parallel debug
+%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.2/include    lcsgib parallel debug
+%netcdf_lib        -L/sw/dataformats/netcdf/3.6.2/lib:-lnetcdf:-lnetcdff      lcsgib parallel debug
+%fopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgib parallel debug
+%lopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib           lcsgib parallel debug
+#%tmp_data_catalog  /gfs1/work/nikmaron/palm_restart_data      lcsgib parallel debug
+#%tmp_user_catalog  /gfs1/tmp/nikmaron                         lcsgib parallel debug
+
+#
+%remote_username     bjornm         lcxt4 parallel
+%tmp_user_catalog    /work/bjornm   lcxt4 parallel
+%tmp_data_catalog    /work/bjornm/PALM_RESTART_DATA  lcxt4 parallel
+#%job_catalog         /work/bjornm/job_queue lcxt4 parallel
+%compiler_name       ftn           lcxt4 parallel
+%compiler_name_ser   ftn           lcxt4 parallel
+%cpp_options        -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__intel_openmp_bug   lcxt4 parallel
+%netcdf_inc         -I/work/apps/netcdf-3.6.2-cnl-pgi/include      lcxt4 parallel
+%netcdf_lib         -L/work/apps/netcdf-3.6.2-cnl-pgi/lib:-lnetcdf lcxt4 parallel
+%fopts              -fastsse:-Mpreprocess:-r8:-Mnobackslash        lcxt4 parallel
+%lopts              -fastsse:-Mpreprocess:-r8:-Mnobackslash        lcxt4 parallel
+#%fopts              -Mbounds:-fastsse:-Mpreprocess:-r8:-Mnobackslash        lcxt4 parallel
+#%lopts              -Mbounds:-fastsse:-Mpreprocess:-r8:-Mnobackslash        lcxt4 parallel
+
+%email_notification  maronga@muk.uni-hannover.de                 lcxt4 parallel
 #
 %write_binary                true                             restart
@@ -264,4 +183,5 @@
 #
 DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
+#DATA_1D_PR_NETCDF    out:loc      pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
 DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp     nc
 DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts     nc