Index: /palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_profiles.f90	(revision 344)
+++ /palm/trunk/SOURCE/data_output_profiles.f90	(revision 345)
@@ -4,4 +4,6 @@
 ! Current revisions:
 ! -----------------
+! In case of restart runs without extension, initial profiles are not written 
+! to NetCDF-file anymore.
 ! simulated_time in NetCDF output replaced by time_since_reference_point.
 ! Output of NetCDF messages with aid of message handling routine.
@@ -48,5 +50,4 @@
 
     INTEGER ::  i, id, ilc, ils, j, k, sr
-    LOGICAL ::  output_for_t0
     REAL    ::  uxma, uxmi
 
@@ -107,252 +108,256 @@
 !--    Output of initial profiles
        IF ( dopr_time_count == 1 )  THEN
-
-          IF ( netcdf_output )  THEN
-#if defined( __netcdf )
-!
-!--          Store initial time (t=0) to time axis, but only if an output
-!--          is required for at least one of the profiles
-             output_for_t0 = .FALSE.
-             DO  i = 1, dopr_n
+        
+          IF ( .NOT. output_for_t0 ) THEN 
+
+             IF ( netcdf_output )  THEN
+#if defined( __netcdf )          
+!
+!--             Store initial time (t=0) to time axis, but only if an output
+!--             is required for at least one of the profiles
+                DO  i = 1, dopr_n
                 IF ( dopr_initial_index(i) /= 0 )  THEN
                    nc_stat = NF90_PUT_VAR( id_set_pr, id_var_time_pr,  &
-                                           (/ 0.0 /), start = (/ 1 /), &
-                                           count = (/ 1 /) )
-                   CALL handle_netcdf_error( 'data_output_profiles', 329 )
-                   output_for_t0 = .TRUE.
-                   EXIT
-                ENDIF
-             ENDDO
-
-!
-!--          Store normalization factors
-             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(1), &  ! wpt0
-                                  (/ hom_sum(nzb,18,normalizing_region) /), &
+                                              (/ 0.0 /), start = (/ 1 /), &
+                                              count = (/ 1 /) )
+                      CALL handle_netcdf_error( 'data_output_profiles', 329 )
+                      output_for_t0 = .TRUE.
+                      EXIT
+                   ENDIF
+                ENDDO
+
+!
+!--             Store normalization factors
+                nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(1), & ! wpt0
+                                     (/ hom_sum(nzb,18,normalizing_region) /), &
+                                        start = (/ 1 /), count = (/ 1 /) )
+                CALL handle_netcdf_error( 'data_output_profiles', 330 )
+
+                nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(2), & ! ws2
+                           (/ hom_sum(nzb+8,pr_palm,normalizing_region)**2 /), &
+                                        start = (/ 1 /), count = (/ 1 /) )
+                CALL handle_netcdf_error( 'data_output_profiles', 331 )
+                nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(3), & ! tsw2
+                           (/ hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
                                      start = (/ 1 /), count = (/ 1 /) )
-             CALL handle_netcdf_error( 'data_output_profiles', 330 )
-
-             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(2), &  ! ws2
-                        (/ hom_sum(nzb+8,pr_palm,normalizing_region)**2 /), &
-                                     start = (/ 1 /), count = (/ 1 /) )
-             CALL handle_netcdf_error( 'data_output_profiles', 331 )
-             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(3), &  ! tsw2
-                        (/ hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
-                                     start = (/ 1 /), count = (/ 1 /) )
-             CALL handle_netcdf_error( 'data_output_profiles', 332 )
-             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(4), &  ! ws3
-                        (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 /), &
-                                     start = (/ 1 /), count = (/ 1 /) )
-             CALL handle_netcdf_error( 'data_output_profiles', 333 )
-
-             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(5), &  ! ws2tsw
-                        (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 *   &
-                           hom_sum(nzb+3,pr_palm,normalizing_region)    /), &
-                                     start = (/ 1 /), count = (/ 1 /) )
-             CALL handle_netcdf_error( 'data_output_profiles', 334 )
-
-             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(6), &  ! wstsw2
-                        (/ hom_sum(nzb+8,pr_palm,normalizing_region) *      &
-                           hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
-                                     start = (/ 1 /), count = (/ 1 /) )
-             CALL handle_netcdf_error( 'data_output_profiles', 335 )
-
-             nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(7), &  ! z_i
-                           (/ hom_sum(nzb+6,pr_palm,normalizing_region) /), &
-                                     start = (/ 1 /), count = (/ 1 /) )
-             CALL handle_netcdf_error( 'data_output_profiles', 336 )
+                CALL handle_netcdf_error( 'data_output_profiles', 332 )
+                nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(4), & ! ws3
+                           (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 /), &
+                                        start = (/ 1 /), count = (/ 1 /) )
+                CALL handle_netcdf_error( 'data_output_profiles', 333 )
+
+                nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(5), &!ws2tsw
+                           (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 *   &
+                              hom_sum(nzb+3,pr_palm,normalizing_region)    /), &
+                                        start = (/ 1 /), count = (/ 1 /) )
+                CALL handle_netcdf_error( 'data_output_profiles', 334 )
+
+                nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(6), &!wstsw2
+                           (/ hom_sum(nzb+8,pr_palm,normalizing_region) *      &
+                              hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
+                                        start = (/ 1 /), count = (/ 1 /) )
+                CALL handle_netcdf_error( 'data_output_profiles', 335 )
+
+                nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(7), & ! z_i
+                              (/ hom_sum(nzb+6,pr_palm,normalizing_region) /), &
+                                        start = (/ 1 /), count = (/ 1 /) )
+                CALL handle_netcdf_error( 'data_output_profiles', 336 )
+             
 #endif
-          ENDIF
-!
-!--       Loop over all 1D variables
-          DO  i = 1, dopr_n
-
-             IF ( dopr_initial_index(i) /= 0 )  THEN
-
-!
-!--             Output for the individual (sub-)regions
-                DO  sr = 0, statistic_regions
+             ENDIF
+!
+!--          Loop over all 1D variables
+             DO  i = 1, dopr_n
+
+                IF ( dopr_initial_index(i) /= 0 )  THEN
+
+!
+!--                Output for the individual (sub-)regions
+                   DO  sr = 0, statistic_regions
+
+                      IF ( profil_output )  THEN
+                         id = 40 + sr
+!
+!--                      Write Label-Header
+                         WRITE ( id, 100 )  TRIM( data_output_pr(i) ), '(t=0)'
+!
+!--                      Write total profile
+                         DO  k = nzb, nzt+1
+                            WRITE ( id, 101 )  hom(k,2,dopr_initial_index(i),sr), &
+                                               hom(k,1,dopr_initial_index(i),sr)
+                         ENDDO
+!
+!--                      Write separation label
+                         WRITE ( id, 102 )
+                      ENDIF
+
+                      IF ( netcdf_output )  THEN
+#if defined( __netcdf )
+!
+!--                      Write data to netcdf file
+                         nc_stat = NF90_PUT_VAR( id_set_pr, id_var_dopr(i,sr),    &
+                                       hom(nzb:nzt+1,1,dopr_initial_index(i),sr), &
+                                                 start = (/ 1, 1 /),              &
+                                                 count = (/ nzt-nzb+2, 1 /) )
+                         CALL handle_netcdf_error( 'data_output_profiles', 337 )
+#endif
+                      ENDIF
+
+                   ENDDO
 
                    IF ( profil_output )  THEN
-                      id = 40 + sr
-!
-!--                   Write Label-Header
-                      WRITE ( id, 100 )  TRIM( data_output_pr(i) ), '(t=0)'
-!
-!--                   Write total profile
-                      DO  k = nzb, nzt+1
-                         WRITE ( id, 101 )  hom(k,2,dopr_initial_index(i),sr), &
-                                            hom(k,1,dopr_initial_index(i),sr)
-                      ENDDO
-!
-!--                   Write separation label
-                      WRITE ( id, 102 )
-                   ENDIF
-
-                   IF ( netcdf_output )  THEN
-#if defined( __netcdf )
-!
-!--                   Write data to netcdf file
-                      nc_stat = NF90_PUT_VAR( id_set_pr, id_var_dopr(i,sr),    &
-                                    hom(nzb:nzt+1,1,dopr_initial_index(i),sr), &
-                                              start = (/ 1, 1 /),              &
-                                              count = (/ nzt-nzb+2, 1 /) )
-                      CALL handle_netcdf_error( 'data_output_profiles', 337 )
-#endif
-                   ENDIF
-
-                ENDDO
-
-                IF ( profil_output )  THEN
-!
-!--                Determine indices for later NAMELIST-output (s. below)
-                   profile_number = profile_number + 1
-                   j = dopr_crossindex(i)
-                   IF ( j /= 0 )  THEN
-                      cross_profile_number_count(j) = &
-                                               cross_profile_number_count(j) + 1
-                      k = cross_profile_number_count(j)
-                      cross_profile_numbers(k,j) = profile_number
-!
-!--                   Initial profiles are always drawn as solid lines in 
-!--                   anti-background colour.
-                      cross_linecolors(k,j) = 1
-                      cross_linestyles(k,j) = 0
-!
-!--                   If required, extend x-value range of the respective
-!--                   cross, provided it has not been specified in &
-!--                   check_parameters. Determination over all (sub-)regions.
-                      IF ( cross_uxmin(j) == 0.0  .AND. &
-                           cross_uxmax(j) == 0.0 )  THEN
-
-                         DO  sr = 0, statistic_regions
-
-                            uxmi = &
-                            MINVAL( hom(:nz_do1d,1,dopr_initial_index(i),sr) )
-
-                            uxma = &
-                            MAXVAL( hom(:nz_do1d,1,dopr_initial_index(i),sr) )
-!
-!--                         When the value range of the first line in the
-!--                         corresponding cross is determined, its value range
-!--                         is simply adopted.
-                            IF ( cross_uxmin_computed(j) > &
-                                 cross_uxmax_computed(j) )  THEN
-                               cross_uxmin_computed(j) = uxmi
-                               cross_uxmax_computed(j) = uxma
-                            ELSE
-                               cross_uxmin_computed(j) = &
-                                            MIN( cross_uxmin_computed(j), uxmi )
-                               cross_uxmax_computed(j) = &
-                                            MAX( cross_uxmax_computed(j), uxma )
-                            ENDIF
-
-                         ENDDO
-
-                      ENDIF
-!
-!--                   If required, determine and note normalizing factors
-                      SELECT CASE ( cross_normalized_x(j) )
-
-                         CASE ( 'ts2' )
-                            cross_normx_factor(k,j) = &
-                             ( hom_sum(nzb+3,pr_palm,normalizing_region) )**2
-                         CASE ( 'wpt0' )
-                            cross_normx_factor(k,j) = &
-                             hom_sum(nzb,18,normalizing_region)
-                         CASE ( 'wsts2' )
-                            cross_normx_factor(k,j) = &
-                             hom_sum(nzb+8,pr_palm,normalizing_region)  &
-                           * ( hom_sum(nzb+3,pr_palm,normalizing_region) )**2
-                         CASE ( 'ws2' )
-                            cross_normx_factor(k,j) = &
-                             ( hom_sum(nzb+8,pr_palm,normalizing_region) )**2
-                         CASE ( 'ws2ts' )
-                            cross_normx_factor(k,j) = &
-                           ( hom_sum(nzb+8,pr_palm,normalizing_region) )**2 &
-                           * hom_sum(nzb+3,pr_palm,normalizing_region)
-                         CASE ( 'ws3' )
-                            cross_normx_factor(k,j) = &
-                             ( hom_sum(nzb+8,pr_palm,normalizing_region) )**3
-
-                      END SELECT
-
-                      SELECT CASE ( cross_normalized_y(j) )
-
-                         CASE ( 'z_i' )
-                            cross_normy_factor(k,j) = &
-                                    hom_sum(nzb+6,pr_palm,normalizing_region)
-
-                      END SELECT
-
-!
-!--                   Check the normalizing factors for zeros and deactivate
-!--                   the normalization, if required.
-                      IF ( cross_normx_factor(k,j) == 0.0  .OR. &
-                           cross_normy_factor(k,j) == 0.0 )  THEN
-                         WRITE( message_string, * ) 'data_output_profiles: ',  &
-                              'normalizing cross ',j, ' is not possible ',     &
-                              'since one of the & normalizing factors ',       &
-                              'is zero! & cross_normx_factor(',k,',',j,') = ', &
-                                                      cross_normx_factor(k,j), &
-                              ' & cross_normy_factor(',k,',',j,') = ',         &
-                                                      cross_normy_factor(k,j)
-                         CALL message( 'data_output_profiles', 'PA0185',&
-                                                                0, 1, 0, 6, 0 )
-                         cross_normx_factor(k,j) = 1.0
-                         cross_normy_factor(k,j) = 1.0
-                         cross_normalized_x(j) = ' '
-                         cross_normalized_y(j) = ' '
-                      ENDIF
-
-!
-!--                   If required, extend normalized x-value range of the
-!--                   respective cross, provided it has not been specified in
-!--                   check_parameters. Determination over all (sub-)regions.
-                      IF ( cross_uxmin_normalized(j) == 0.0  .AND. &
-                           cross_uxmax_normalized(j) == 0.0 )  THEN
-
-                         DO  sr = 0, statistic_regions
-
-                            uxmi = MINVAL( hom(:nz_do1d,1,             &
-                                           dopr_initial_index(i),sr) ) / &
-                                   cross_normx_factor(k,j)
-                            uxma = MAXVAL( hom(:nz_do1d,1,             &
-                                           dopr_initial_index(i),sr) ) / &
-                                   cross_normx_factor(k,j)
-!
-!--                         When the value range of the first line in the
-!--                         corresponding cross is determined, its value range
-!--                         is simply adopted.
-                            IF ( cross_uxmin_normalized_computed(j) > &
-                                 cross_uxmax_normalized_computed(j) )  THEN
-                               cross_uxmin_normalized_computed(j) = uxmi
-                               cross_uxmax_normalized_computed(j) = uxma
-                            ELSE
-                               cross_uxmin_normalized_computed(j) = &
-                                 MIN( cross_uxmin_normalized_computed(j), uxmi )
-                               cross_uxmax_normalized_computed(j) = &
-                                 MAX( cross_uxmax_normalized_computed(j), uxma )
-                            ENDIF
-
-                         ENDDO
-
-                      ENDIF
-
-                   ENDIF   ! Index determination
-
-                ENDIF   ! profil output
-
-             ENDIF   ! Initial profile available
-
-          ENDDO   ! Loop over dopr_n for initial profiles
-
-          IF ( netcdf_output  .AND.  output_for_t0 )  THEN
-             dopr_time_count = dopr_time_count + 1
-          ENDIF
-
+!
+!--                   Determine indices for later NAMELIST-output (s. below)
+                      profile_number = profile_number + 1
+                      j = dopr_crossindex(i)
+                      IF ( j /= 0 )  THEN
+                         cross_profile_number_count(j) = &
+                                                  cross_profile_number_count(j) + 1
+                         k = cross_profile_number_count(j)
+                         cross_profile_numbers(k,j) = profile_number
+!
+!--                      Initial profiles are always drawn as solid lines in 
+!--                      anti-background colour.
+                         cross_linecolors(k,j) = 1
+                         cross_linestyles(k,j) = 0
+!
+!--                      If required, extend x-value range of the respective
+!--                      cross, provided it has not been specified in &
+!--                      check_parameters. Determination over all (sub-)regions.
+                         IF ( cross_uxmin(j) == 0.0  .AND. &
+                              cross_uxmax(j) == 0.0 )  THEN
+
+                            DO  sr = 0, statistic_regions
+
+                               uxmi = &
+                               MINVAL( hom(:nz_do1d,1,dopr_initial_index(i),sr) )
+ 
+                               uxma = &
+                               MAXVAL( hom(:nz_do1d,1,dopr_initial_index(i),sr) )
+! 
+!--                            When the value range of the first line in the
+!--                            corresponding cross is determined, its value range
+!--                            is simply adopted.
+                               IF ( cross_uxmin_computed(j) > &
+                                    cross_uxmax_computed(j) )  THEN
+                                  cross_uxmin_computed(j) = uxmi
+                                  cross_uxmax_computed(j) = uxma
+                               ELSE
+                                  cross_uxmin_computed(j) = &
+                                               MIN( cross_uxmin_computed(j), uxmi )
+                                  cross_uxmax_computed(j) = &
+                                               MAX( cross_uxmax_computed(j), uxma )
+                               ENDIF
+
+                            ENDDO
+
+                         ENDIF
+!
+!--                      If required, determine and note normalizing factors
+                         SELECT CASE ( cross_normalized_x(j) )
+   
+                             CASE ( 'ts2' )
+                               cross_normx_factor(k,j) = &
+                                ( hom_sum(nzb+3,pr_palm,normalizing_region) )**2
+                            CASE ( 'wpt0' )
+                               cross_normx_factor(k,j) = &
+                                hom_sum(nzb,18,normalizing_region)
+                            CASE ( 'wsts2' )
+                               cross_normx_factor(k,j) = &
+                                hom_sum(nzb+8,pr_palm,normalizing_region)  &
+                              * ( hom_sum(nzb+3,pr_palm,normalizing_region) )**2
+                            CASE ( 'ws2' )
+                               cross_normx_factor(k,j) = &
+                                ( hom_sum(nzb+8,pr_palm,normalizing_region) )**2
+                            CASE ( 'ws2ts' )
+                               cross_normx_factor(k,j) = &
+                              ( hom_sum(nzb+8,pr_palm,normalizing_region) )**2 &
+                              * hom_sum(nzb+3,pr_palm,normalizing_region)
+                             CASE ( 'ws3' )
+                               cross_normx_factor(k,j) = &
+                                ( hom_sum(nzb+8,pr_palm,normalizing_region) )**3
+
+                         END SELECT
+
+                         SELECT CASE ( cross_normalized_y(j) )
+  
+                            CASE ( 'z_i' )
+                                cross_normy_factor(k,j) = &
+                                        hom_sum(nzb+6,pr_palm,normalizing_region)
+
+                         END SELECT
+
+!
+!--                      Check the normalizing factors for zeros and deactivate
+!--                      the normalization, if required.
+                         IF ( cross_normx_factor(k,j) == 0.0  .OR. &
+                              cross_normy_factor(k,j) == 0.0 )  THEN
+                            WRITE( message_string, * ) 'data_output_profiles: ',  &
+                                'normalizing cross ',j, ' is not possible ',     &
+                                'since one of the & normalizing factors ',       &
+                                 'is zero! & cross_normx_factor(',k,',',j,') = ', &
+                                                         cross_normx_factor(k,j), &
+                                 ' & cross_normy_factor(',k,',',j,') = ',         &
+                                                         cross_normy_factor(k,j)
+                            CALL message( 'data_output_profiles', 'PA0185',&
+                                                                    0, 1, 0, 6, 0 )
+                            cross_normx_factor(k,j) = 1.0
+                            cross_normy_factor(k,j) = 1.0
+                            cross_normalized_x(j) = ' '
+                            cross_normalized_y(j) = ' '
+                         ENDIF
+
+!
+!--                      If required, extend normalized x-value range of the
+!--                      respective cross, provided it has not been specified in
+!--                      check_parameters. Determination over all (sub-)regions.
+                         IF ( cross_uxmin_normalized(j) == 0.0  .AND. &
+                              cross_uxmax_normalized(j) == 0.0 )  THEN
+
+                            DO  sr = 0, statistic_regions
+
+                               uxmi = MINVAL( hom(:nz_do1d,1,             &
+                                              dopr_initial_index(i),sr) ) / &
+                                      cross_normx_factor(k,j)
+                               uxma = MAXVAL( hom(:nz_do1d,1,             &
+                                              dopr_initial_index(i),sr) ) / &
+                                       cross_normx_factor(k,j)
+!
+!--                            When the value range of the first line in the
+!--                            corresponding cross is determined, its value range
+!--                            is simply adopted.
+                               IF ( cross_uxmin_normalized_computed(j) > &
+                                    cross_uxmax_normalized_computed(j) )  THEN
+                                  cross_uxmin_normalized_computed(j) = uxmi
+                                  cross_uxmax_normalized_computed(j) = uxma
+                               ELSE
+                                  cross_uxmin_normalized_computed(j) = &
+                                    MIN( cross_uxmin_normalized_computed(j), uxmi )
+                                  cross_uxmax_normalized_computed(j) = &
+                                    MAX( cross_uxmax_normalized_computed(j), uxma )
+                               ENDIF
+
+                            ENDDO
+
+                         ENDIF
+
+                      ENDIF   ! Index determination
+
+                   ENDIF   ! profil output
+
+                ENDIF   ! Initial profile available
+
+             ENDDO   ! Loop over dopr_n for initial profiles
+
+             IF ( netcdf_output  .AND.  output_for_t0 )  THEN
+                dopr_time_count = dopr_time_count + 1
+             ENDIF
+
+          END IF
        ENDIF   ! Initial profiles
 
        IF ( netcdf_output )  THEN
 #if defined( __netcdf )
+
 !
 !--       Store time to time axis          
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 344)
+++ /palm/trunk/SOURCE/modules.f90	(revision 345)
@@ -5,4 +5,5 @@
 ! Current revisions:
 ! -----------------
+! +output_for_t0 
 ! translation error of actual -> current revisions fixed
 ! +q* in dots_label, dots_unit. increased dots_num respectively
@@ -931,4 +932,5 @@
     INTEGER, DIMENSION(dots_max,0:9)   ::  id_var_dots
 
+    LOGICAL ::  output_for_t0 = .FALSE.
 
     SAVE
Index: /palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/read_var_list.f90	(revision 344)
+++ /palm/trunk/SOURCE/read_var_list.f90	(revision 345)
@@ -4,4 +4,5 @@
 ! Current revisions:
 ! -----------------
+! +output_for_t0 
 ! dt_fixed is read into a dummy variable.
 ! Output of messages replaced by message handling routine.
@@ -69,4 +70,5 @@
     USE indices
     USE model_1d
+    USE netcdf_control
     USE particle_attributes
     USE pegrid
@@ -374,4 +376,6 @@
           CASE ( 'outflow_damping_width' )
              READ ( 13 )  outflow_damping_width
+          CASE ( 'output_for_t0' )
+             READ (13)    output_for_t0
           CASE ( 'overshoot_limit_e' )
              READ ( 13 )  overshoot_limit_e
Index: /palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/write_var_list.f90	(revision 344)
+++ /palm/trunk/SOURCE/write_var_list.f90	(revision 345)
@@ -4,4 +4,5 @@
 ! Actual revisions:
 ! -----------------
+! +output_for_t0 
 ! bugfix: -dt_fixed, because otherwise, restart runs cannot change from a
 ! fixed to a free timestep.
@@ -65,4 +66,5 @@
     USE indices
     USE model_1d
+    USE netcdf_control
     USE particle_attributes
     USE pegrid
@@ -292,4 +294,6 @@
     WRITE ( 14 )  'outflow_damping_width         '
     WRITE ( 14 )  outflow_damping_width
+    WRITE ( 14 )  'output_for_t0                 '
+    WRITE ( 14 )  output_for_t0
     WRITE ( 14 )  'overshoot_limit_e             '
     WRITE ( 14 )  overshoot_limit_e