Index: palm/trunk/DOC/app/chapter_4.0.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.0.html	(revision 97)
+++ palm/trunk/DOC/app/chapter_4.0.html	(revision 349)
@@ -1,11 +1,48 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
-<html><head>
-<meta http-equiv="CONTENT-TYPE" content="text/html; charset=windows-1252"><title>PALM chapter 4.0</title> <meta name="GENERATOR" content="StarOffice 7 (Win32)"> <meta name="AUTHOR" content="Siegfried Raasch"> <meta name="CREATED" content="20040809;14214479"> <meta name="CHANGED" content="20041112;15151993"> <meta name="KEYWORDS" content="parallel LES model"> <style>
+<html>
+<head>
+
+
+  
+  <meta http-equiv="CONTENT-TYPE" content="text/html; charset=windows-1252">
+
+  
+ 
+  
+  <title>PALM chapter 4.0</title>
+  <meta name="GENERATOR" content="StarOffice 7 (Win32)">
+
+ 
+  
+  <meta name="AUTHOR" content="Siegfried Raasch">
+
+ 
+  
+  <meta name="CREATED" content="20040809;14214479">
+
+ 
+  
+  <meta name="CHANGED" content="20041112;15151993">
+
+ 
+  
+  <meta name="KEYWORDS" content="parallel LES model">
+
+ 
+  
+  <style>
 <!--
 @page { size: 21cm 29.7cm }
 -->
-</style></head>
-<body style="direction: ltr;" lang="en-US"><h2 style="line-height: 100%;"><font size="4">4.0
+  </style>
+</head>
+
+
+<body style="direction: ltr;" lang="en-US">
+
+<h2 style="line-height: 100%;"><font size="4">4.0
 Steering parameters</font></h2>
+
+
 <p style="line-height: 100%;">Before carrying out a model
 run, the user
@@ -17,5 +54,9 @@
 should be, at which times and points plot output are supposed to be
 made, etc. <br>
-</p><p style="line-height: 100%;">These data are
+
+
+</p>
+
+<p style="line-height: 100%;">These data are
 assigned with the help of
 so-called&nbsp;&ldquo;NAMELIST-driven input&rdquo; (FORTRAN -
@@ -31,22 +72,56 @@
 example shows the format of the file
 PARIN: <br>
-&nbsp; </p>
-<ul> <p style="line-height: 100%; font-family: monospace;">&amp;inipar
+
+
+&nbsp; </p>
+
+
+<ul>
+
+ 
+  
+  <p style="line-height: 100%; font-family: monospace;">&amp;inipar
 nx
 = 79, ny = 79, nz = 40, <br>
+
+
 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 dx = 50.0, dy = 50.0, dz =
 50.0, <br>
+
+
 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 initializing_actions =
 "set_1d-model_profiles", <br>
+
+
 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-prandtl_layer = .TRUE.,/ </p> <p style="line-height: 100%; font-family: monospace;">&amp;d3par&nbsp;
-end_time = 9000.0, section_xy = 1, 10, 20,/ </p> <p style="line-height: 100%; font-family: monospace;">&amp;packagename
-var1 = .TRUE. / </p> <p style="line-height: 100%;"><span style="font-family: monospace;">&amp;userpar
+prandtl_layer = .TRUE.,/ </p>
+
+ 
+  
+  <p style="line-height: 100%; font-family: monospace;">&amp;d3par&nbsp;
+end_time = 9000.0, section_xy = 1, 10, 20,/ </p>
+
+ 
+  
+  <p style="line-height: 100%; font-family: monospace;">&amp;packagename
+var1 = .TRUE. / </p>
+
+ 
+  
+  <p style="line-height: 100%;"><span style="font-family: monospace;">&amp;userpar
 abcd = 1234,0,/ </span><br>
+
+
 &nbsp; <br>
+
+
 &nbsp;</p>
-</ul><p style="line-height: 100%;">The parameters
+
+
+</ul>
+
+<p style="line-height: 100%;">The parameters
 are separated into four
 different groups which all start with the so-called NAMELIST group
@@ -65,5 +140,9 @@
 concerning the NAMELIST syntax, refer to
 appropriate FORTRAN manuals. <br>
-</p><p style="line-height: 100%;">Parameters
+
+
+</p>
+
+<p style="line-height: 100%;">Parameters
 belonging to the group <span style="font-family: monospace;">inipar</span>
 are first read by PALM.
@@ -84,8 +163,16 @@
 (see chapter <a href="chapter_3.7.html">3.7</a>),
 further NAMELIST groups may be inserted before the group <span style="font-family: monospace;">userpar</span>.
-</p><p style="line-height: 100%;"><b>The
+</p>
+
+<p style="line-height: 100%;"><b>The
 initialization, run</b> and
 <b>package parameters</b> differ as follows: </p>
-<ul> <li> <p style="margin-bottom: 0cm; line-height: 100%;">The <b>initialization
+
+
+<ul>
+
+ <li> 
+    
+    <p style="margin-bottom: 0cm; line-height: 100%;">The <b>initialization
 parameters </b>are steering the basic settings of the model run.
 They
@@ -101,5 +188,13 @@
 value<span style="font-family: thorndale,serif,mon;"> </span><span style="font-family: monospace; font-style: italic;">read_restart_data</span><span style="font-family: thorndale,serif,mon;"> for </span>restart
 runs). <br>
-&nbsp; </p> </li> <li> <p style="margin-bottom: 0cm; line-height: 100%;">The <b>run
+
+
+&nbsp; </p>
+
+ </li>
+
+ <li> 
+    
+    <p style="margin-bottom: 0cm; line-height: 100%;">The <b>run
 parameters</b> are generally steering actions to be carried out
 during
@@ -111,9 +206,23 @@
 usually keep their values, provided that the NAMELIST input file was
 not changed by the user in the meantime). <br>
-&nbsp; </p> </li> <li> <p style="line-height: 100%;"><b>Package parameters</b>
+
+
+&nbsp; </p>
+
+ </li>
+
+ <li> 
+    
+    <p style="line-height: 100%;"><b>Package parameters</b>
 behave like <b>run parameters</b>. Package parameters
 determine the behavior of
-the additional (not user-defined) software packages . </p> </li>
-</ul><p style="line-height: 100%;">The user-defined
+the additional (not user-defined) software packages . </p>
+
+ </li>
+
+
+</ul>
+
+<p style="line-height: 100%;">The user-defined
 parameters are assigned
 by the user within the NAMELIST group name <tt>&amp;userpar</tt>
@@ -137,4 +246,6 @@
 (described in <a href="chapter_3.2.html">chapter
 3.2</a>) for the execution of a model test run. </p>
+
+
 <p style="line-height: 100%;">PALM assigns default
 values to nearly all parameters. They become effective
@@ -142,9 +253,25 @@
 default values as well as the parameter name, type and its
 explanation are described in the lists of the following subsections. <br>
-&nbsp; </p>
-<hr><p style="line-height: 100%;"><br>
-<font color="#000080"><font color="#000080"><a href="chapter_3.6.html"><font color="#000080"><img src="left.gif" name="Grafik1" align="bottom" border="2" height="32" width="32"></font></a><a href="index.html"><font color="#000080"><img src="up.gif" name="Grafik2" align="bottom" border="2" height="32" width="32"></font></a><a href="chapter_4.1.html"><font color="#000080"><img src="right.gif" name="Grafik3" align="bottom" border="2" height="32" width="32"></font></a></font></font><br>&nbsp;
+
+
+&nbsp; </p>
+
+
+<hr>
+<p style="line-height: 100%;"><br>
+
+
+<font color="#000080"><font color="#000080"><a href="chapter_3.8.html"><font color="#000080"><img style="border: 2px solid ; width: 32px; height: 32px;" alt="" src="left.gif" name="Grafik1"></font></a><a href="index.html"><font color="#000080"><img src="up.gif" name="Grafik2" align="bottom" border="2" height="32" width="32"></font></a><a href="chapter_4.1.html"><font color="#000080"><img src="right.gif" name="Grafik3" align="bottom" border="2" height="32" width="32"></font></a></font></font><br>
+
+&nbsp;
 <br>
+
+
 &nbsp;<span style="font-style: italic;">Last change:</span>
 $Id$<br>
-</p></body></html>
+
+
+</p>
+
+</body>
+</html>